2004-09-29  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/thread.c, kaffe/kaffevm/thread.h
	(unlinkNativeAndJavaThread): Renamed to
	KaffeVM_unlinkNativeAndJavaThread.

2004-09-29  Noa Resare  <noa@resare.com>
 
	* kaffe/kaffevm/thread.h, 
	kaffe/kaffevm/thread.c,
	kaffe/kaffevm/systems/unix-pthreads/thread-impl.c,
	kaffe/kaffevm/systems/unix-jthreads/jthread.c:
 	Delay ksem destruction until after lockStaticMutex invocations
 
2004-09-29  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffe/main.c
	(main): Added a call to MAIN_MD if available.

2004-09-29  Alexsander Boettscher  <ab764283@os.inf.tu-dresden.de>
	
	* kaffe/kaffevm/ksem.c: Build OS independent code only if
	THREAD_SYSTEM_HAS_KSEM is undefined.

	* kaffe/kaffevm/ksem.h: Hide definition of ksem functions if
	THREAD_SYSTEM_HAS_KSEM is defined.
	
2004-09-29  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/String.java:
	(String) Replaced constructors decoding bytes with
	implementations from GNU Classpath.
	(decodeBytes) Simplified.

	* libraries/javalib/kaffe/io/ConverterAlias.java:
	Use iconv for all encodings if iconv is available.

	Reported by: Ito Kazumitsu  <kaz@maczuka.gcd.org>

2004-09-28  Timothy S. Stack <stack@cs.utah.edu>

	* developers/mnemonicizer.awk:
	Merge from JanosVM, used to convert ppc_isa.defs into ppc_isa.h.

2004-09-28  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/Collections.java:
	Resynced with GNU Classpath.
	
	2004-09-27  Per Bothner  <per@bothner.com>

	* java/util/Collections.java (sort):  Copy from array in forwards
	order, rather than reverse order which may be much less
	efficient.

2004-09-28  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/Calendar.java:
	Resynced with GNU Classpath.
	
	2004-09-27  Bryce McKinlay  <mckinlay@redhat.com>

	* java.util.Calendar.java (cache): New private static field. Cached
	mappings of locales->calendar classes.
	(ctorArgTypes): New private static field. Singleton argument for
	calendar class constructor lookup.
	(getInstance): Cache Locale->Calendar class mappings using HashMap.
	Optimize by bypassing reflection instantiation for the
	GregorianCalendar case.

2004-09-28  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/image/BandedSampleModel.java:
	New file, taken from GNU Classpath.
	
	* libraries/javalib/java/awt/image/ColorModel.java,
	libraries/javalib/java/awt/image/ComponentColorModel.java,
	libraries/javalib/java/awt/image/IndexColorModel.java,
	libraries/javalib/javax/swing/JFrame.java,
	libraries/javalib/javax/swing/JRadioButton.java,
	libraries/javalib/javax/swing/JRootPane.java,
	libraries/javalib/javax/swing/JSpinner.java,
	libraries/javalib/javax/swing/JTextArea.java,
	libraries/javalib/javax/swing/JTextField.java,
	libraries/javalib/javax/swing/SpinnerNumberModel.java,
	libraries/javalib/javax/swing/SpringLayout.java,
	libraries/javalib/javax/swing/plaf/basic/BasicArrowButton.java,
	libraries/javalib/javax/swing/plaf/basic/BasicScrollBarUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSplitPaneDivider.java,
	libraries/javalib/javax/swing/table/DefaultTableColumnModel.java,
	libraries/javalib/javax/swing/table/JTableHeader.java,
	libraries/javalib/javax/swing/text/DefaultHighlighter.java,
	libraries/javalib/javax/swing/text/DocumentFilter.java,
	libraries/javalib/javax/swing/text/JTextComponent.java,
	libraries/javalib/javax/swing/text/NavigationFilter.java:
	Resynced with GNU Classpath.

	2004-09-27  Michael Koch  <konqueror@gmx.de>

	* javax/swing/SpinnerNumberModel.java
	(SpinnerNumberModel): Implements java.io.Serializable.

	2004-09-27  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/BandedSampleModel.java: Implement.
	* java/awt/image/ColorModel.java (getDataElement,
	getDataElements): Document since 1.4.
	* java/awt/image/ComponentColorModel.java (ComponentColorModel):
	Implement missing 1.4 constructor.
	* java/awt/image/IndexColorModel.java (IndexColorModel): Implement
	missing constructor.

	2004-09-27  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFrame.java,
	javax/swing/JRadioButton.java,
	javax/swing/JRootPane.java,
	javax/swing/JTextField.java,
	javax/swing/SpinnerNumberModel.java,
	javax/swing/plaf/basic/BasicArrowButton.java,
	javax/swing/plaf/basic/BasicScrollBarUI.java,
	javax/swing/plaf/basic/BasicSplitPaneDivider.java,
	javax/swing/table/DefaultTableColumnModel.java,
	javax/swing/table/JTableHeader.java,
	javax/swing/text/DocumentFilter.java,
	javax/swing/text/JTextComponent.java,
	javax/swing/text/NavigationFilter.java:
	Whitespace cleanup.

	2004-09-27  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTextArea.java
	(getColumnWidth): New method.
	(getLineCount): Likewise.
	(getLineStartOffset): Likewise.
	(getLineEndOffset): Likewise.
	(getLineOfOffset): Likewise.
	(getRowHeight): Likewise.
	(replaceRange): Likewise.
	(insert): Reformatted.

	2004-09-27  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JSpinner.java:
	Some Re-formatting.
	(spinner): New field.
	(DefaultEditor): New method.
	(getSpinner): Likewise.
	(NumberEdito): Likewise.
	(getModel): Likewise.
	(setModel): Likewise.

	2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTextField.java
	(scrollOffset): new field.
	(getScrollOffset): New method.
	(setScrollOffset): Likewise.
	(getColumnWidth): Likewise.
	(action): New field.
	(actionCommand): Likewise.
	(actionPropertyChangeListener): Likewise.
	(setHorizontalAlignment): Abort soon if new value == old value. Fire
	event before repainting.
	(postActionEvent): New method.
	(getAction): Likewise.
	(setAction): Likewise.
	(getActionCommand): Likewise.
	(setActionCommand): Likewise.
	(createActionPropertyChangeListener): Likewise.
	(configurePropertiesFromAction): Likewise.

	2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/JTextComponent.java
	(dragEnabled): New field.
	(getSelectedText): New method.
	(getDragEnabled): Likewise.
	(setDragEnabled): Likewise.
	(replaceSelection): Reimplemented.

	2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JRootPane.java
	(NONE): New static field.
	(FRAME): Likewise.
	(PLAIN_DIALOG): Likewise.
	(INFORMATION_DIALOG): Likewise.
	(ERROR_DIALOG): Likewise.
	(COLOR_CHOOSER_DIALOG): Likewise.
	(FILE_CHOOSER_DIALOG): Likewise.
	(QUESTION_DIALOG): Likewise.
	(WARNING_DIALOG): Likewise.
	(defaultButton): New field.
	(getDefaultButton): New method.
	(setDefaultButton): Likewise.

	2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/DefaultHighlighter.java
	(drawsLayeredHighlights): New field.
	(getDrawsLayeredHighlights): New method.
	(setDrawsLayeredHighlights): Likewise.

	2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/SpringLayout.java
	(Constraints): May not be final.

2004-09-28  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/Throwable.java:
	Resynced with GNU Classpath.
	
	2004-09-26  Mark Wielaard  <mark@klomp.org>

	* java/lang/Throwable.java (StaticData.nl): Make package private.

2004-09-28  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/text/PasswordView.java:
	New file, added from GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.
	
	* libraries/javalib/gnu/regexp/RE.java,
	libraries/javalib/gnu/regexp/RETokenLookAhead.java,
	libraries/javalib/javax/swing/JApplet.java,
	libraries/javalib/javax/swing/JCheckBox.java,
	libraries/javalib/javax/swing/JFrame.java,
	libraries/javalib/javax/swing/JMenu.java,
	libraries/javalib/javax/swing/JPasswordField.java,
	libraries/javalib/javax/swing/JScrollPane.java,
	libraries/javalib/javax/swing/JTable.java,
	libraries/javalib/javax/swing/JTree.java,
	libraries/javalib/javax/swing/JViewport.java,
	libraries/javalib/javax/swing/SpinnerNumberModel.java,
	libraries/javalib/javax/swing/UIDefaults.java,
	libraries/javalib/javax/swing/UIManager.java,
	libraries/javalib/javax/swing/plaf/basic/BasicArrowButton.java,
	libraries/javalib/javax/swing/plaf/basic/BasicPasswordFieldUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicScrollBarUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSplitPaneDivider.java,
	libraries/javalib/javax/swing/table/DefaultTableColumnModel.java,
	libraries/javalib/javax/swing/table/JTableHeader.java,
	libraries/javalib/javax/swing/table/TableColumn.java,
	libraries/javalib/javax/swing/text/DocumentFilter.java,
	libraries/javalib/javax/swing/text/NavigationFilter.java,
	libraries/javalib/javax/swing/text/PlainView.java,
	libraries/javalib/javax/swing/text/SimpleAttributeSet.java:
	Resynced with GNU Classpath.

	2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/SpinnerNumberModel.java
	(SpinnerNumberModel): Implements java.io.Serializable.
	(serialVersionUID): New field.
	(SpinnerNumberModel): Added missing @throws tags to javadocs.
	(getMinimum): New method.
	(setMinimum): Likewise.
	(getMaximum): Likewise.
	(setMaximum): Likewise.
	(getStepSize): Likewise.
	(setStepSize): Likewise.

	2004-09-26  Kim Ho  <kho@redhat.com>

	* javax/swing/plaf/basic/BasicArrowButton.java:
	Jalopy. Reimplement.
	* javax/swing/plaf/basic/BasicScrollBarUI.java:
	Jalopy.
	(arrowIcon, upIcon, downIcon, leftIcon,
	rightIcon): Removed.
	(createIncreaseButton): Use BasicArrowButton.
	(createDecreaseButton): Ditto.
	* javax/swing/plaf/basic/BasicSplitPaneDivider.java:
	(createRightOneTouchButton): Remove button border.
	(createLeftOneTouchButton): Ditto.

	2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTree.java
	(ANCHOR_SELECTION_PATH_PROPERTY): New static field.
	(CELL_EDITOR_PROPERTY): Likewise.
	(CELL_RENDERER_PROPERTY): Likewise.
	(EDITABLE_PROPERTY): Likewise.
	(EXPANDS_SELECTED_PATHS_PROPERTY): Likewise.
	(INVOKES_STOP_CELL_EDITING_PROPERTY): Likewise.
	(LARGE_MODEL_PROPERTY): Likewise.
	(LEAD_SELECTION_PATH_PROPERTY): Likewise.
	(ROOT_VISIBLE_PROPERTY): Likewise.
	(ROW_HEIGHT_PROPERTY): Likewise.
	(SCROLLS_ON_EXPAND_PROPERTY): Likewise.
	(SELECTION_MODEL_PROPERTY): Likewise.
	(SHOWS_ROOT_HANDLES_PROPERTY): Likewise.
	(TOGGLE_CLICK_COUNT_PROPERTY): Likewise.
	(TREE_MODEL_PROPERTY): Likewise.
	(VISIBLE_ROW_COUNT_PROPERTY): Likewise.
	(cellEditor): New field.
	(invokesStopCellEditing): Likewise.
	(largeModel): Likewise.
	(rowHeight): Likewise.
	(scrollsOnExpand): Likewise.
	(selectionModel): Likewise.
	(toggleClickCount): Likewise.
	(visibleRowCount): Likewise.
	(setShowsRootHandles): Fixed typo in method name.
	(getCellEditor): New method.
	(setCellEditor): Likewise.
	(getSelectionModel): Likewise.
	(setSelectionModel): Likewise.
	(getVisibleRowCount): Likewise.
	(setVisibleRowCount): Likewise.
	(isLargeModel): Likewise.
	(setLargeModel): Likewise.
	(getRowHeight): Likewise.
	(setRowHeight): Likewise.
	(getInvokesStopCellEditing): Likewise.
	(setInvokesStopCellEditing): Likewise.
	(getToggleClickCount): Likewise.
	(setToggleClickCount): Likewise.
	(getScrollsOnExpand): Likewise.
	(setScrollsOnExpand): Likewise.
	* javax/swing/table/DefaultTableColumnModel.java
	(addColumnModelListener): Fixed javadoc.
	(removeColumnModelListener): Implemented. Fixed javadoc.
	(getColumnModelListeners): New method.
	* javax/swing/table/JTableHeader.java
	(columnModel): Made protected.
	(draggedColumn): Likewise.
	(draggedDistance): Likewise.
	(reorderingAllowed): Likewise.
	(resizingAllowed): Likewise.
	(resizingColumn): Likewise.
	(table): Likewise.
	(updateTableInRealTime): Likewise.
	(createDefaultColumnModel): Renamed from
	createDefaultTableColumnModel.
	(setDefaultRenderer): New method.
	* javax/swing/table/TableColumn.java
	(getPropertyChangeListeners): New method.

	2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JPasswordField.java:
	Reformated. Implemented construtors.
	* javax/swing/plaf/basic/BasicPasswordFieldUI.java
	(create): New method.
	* javax/swing/text/PlainView.java
	(selectedColor): Made package-private to allow access from sub-classes
	in same package too.
	(unselectedColor): Likewise.
	(font): Likewise.
	(drawSelectedText): Make protected.
	(drawUnselectedText): Likewise.
	* javax/swing/text/PasswordView.java: New file.

	2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/DocumentFilter.java
	(FilterBypass): New inner class.
	(insertString): New method.
	(remove): Likewise.
	(replace): Likewise.
	* javax/swing/text/NavigationFilter.java
	(FilterBypass): New inner class.
	(NavigationFilter): New method.
	(moveDot): Likewise.
	(setDot): Likewise.

	2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/SimpleAttributeSet.java
	(EMPTY): Made public final.

	2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/UIManager.java
	(get): New method.
	(getBoolean): Likewise.
	(getBorder): Likewise.
	(getColor): Likewise.
	(getDimension): Likewise.
	(getFont): Likewise.
	(getIcon): Likewise.
	(getInsets): Likewise.
	(getInt): Likewise.
	(getString): Likewise.

	2004-09-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/UIDefaults.java
	(removePropertyChangeListener): Made public.

	2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JApplet.java:
	Whitespace fixes.

	2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JApplet.java
	(rootPaneCheckingEnabled): Renamed from checking.

	2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTable.java
	(getUI): Javadoc added.
	(setUI): New method.

	2004-09-25  Shashank Bapat  <shashankbapat@yahoo.com>
            Mark Wielaard  <mark@klomp.org>

	* gnu/regexp/RE.java (initialize): Add RETokenLookAhead support.
	* gnu/regexp/RETokenLookAhead.java: New file.

	2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JViewport.java
	(getUI): New method.
	(setUI): Likewise.

	2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JScrollPane.java
	(getUI): New method.
	(setUI): Likewise.

	2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JMenu.java
	(getMenuListeners): New method.
	(fireMenuSelected): Simplified.

	2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFrame.java
	Re-formatted a bit and reordered some methods.
	(rootPaneCheckingEnabled): Renamed from checking.
	(getPreferredSize): Simplified.

	2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JComponent.java
	(isMaximumSizeSet): New method.
	(isMinimumSizeSet): Likewise.
	(isPreferredSizeSet): Likewise.

	2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JComponent.java
	(JComponent): Added javadoc comment.
	(setBorder): Fire property change event.
	(setEnabled): Likewise.
	(setMaximumSize): Likewise.
	(setMinimumSize): Likewise.
	(setPreferredSize): Likewise.
	(setOpaque): Likewise.

	2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JCheckBox.java
	(BORDER_PAINTED_FLAT_CHANGED_PROPERTY): New static field.

	2004-09-25  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JApplet.java, javax/swing/JFrame.java:
	Re-indented.

2004-09-28  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/BasicPermission.java:
	Resynced with GNU Classpath.

	2004-09-24  Andrew Haley  <aph@redhat.com>

	* java/security/BasicPermission.java: Don't check wildcards.

2004-09-28  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/ObjectOutputStream.java:
	libraries/javalib/java/io/ObjectInputStream.java:
	Resynced with GNU Classpath.

	2004-09-24  Andrew Haley  <aph@redhat.com>

	* java/io/ObjectInputStream.java
	(readObject): Save and restore this.currentObject and
	this.currentObjectStreamClass around calls to callReadMethod().
	
	2004-09-24  Andrew Haley  <aph@redhat.com>

	* java/io/ObjectInputStream.java
	(readObject): Save and restore this.currentObject and
	this.currentObjectStreamClass around calls to callReadMethod().

2004-09-28  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/net/URL.java:
	Resynced with GNU Classpath.
	
	2004-09-24  David Daney  <ddaney@avtrex.com>

	* java/net/URL.java (URL): Copy userInfo from context.
	(getUserInfo): Return cached userInfo if present.
	
2004-09-26  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c,
	libraries/javalib/java/awt/image/MultiPixelPackedSampleModel.java:
	New files taken from GNU Classpath.

	* libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.am:
	(libgtkpeer_la_SOURCES) Added gnu_java_awt_peer_gtk_GtkFramePeer.c.

	* libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.
	
	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkEmbeddedWindowPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuBarPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gtkpeer.h,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkClipboard.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkFramePeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkGenericPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkImagePainter.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkListPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkMenuBarPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	libraries/javalib/java/awt/CheckboxMenuItem.java,
	libraries/javalib/java/awt/Component.java,
	libraries/javalib/java/awt/Container.java,
	libraries/javalib/java/awt/DefaultFocusTraversalPolicy.java,
	libraries/javalib/java/awt/DefaultKeyboardFocusManager.java,
	libraries/javalib/java/awt/Frame.java,
	libraries/javalib/java/awt/KeyboardFocusManager.java,
	libraries/javalib/java/awt/Menu.java,
	libraries/javalib/java/awt/MenuBar.java,
	libraries/javalib/java/awt/MenuComponent.java,
	libraries/javalib/java/awt/MenuItem.java,
	libraries/javalib/java/awt/Panel.java,
	libraries/javalib/java/awt/Window.java,
	libraries/javalib/java/awt/datatransfer/Clipboard.java,
	libraries/javalib/java/awt/datatransfer/ClipboardOwner.java,
	libraries/javalib/java/awt/image/ColorModel.java,
	libraries/javalib/java/awt/image/ComponentSampleModel.java,
	libraries/javalib/java/awt/image/Raster.java,
	libraries/javalib/java/awt/image/SinglePixelPackedSampleModel.java,
	libraries/javalib/java/awt/peer/MenuBarPeer.java,
	libraries/javalib/javax/swing/AbstractButton.java,
	libraries/javalib/javax/swing/DebugGraphics.java,
	libraries/javalib/javax/swing/DefaultButtonModel.java,
	libraries/javalib/javax/swing/InputVerifier.java,
	libraries/javalib/javax/swing/JComponent.java,
	libraries/javalib/javax/swing/JLabel.java,
	libraries/javalib/javax/swing/KeyStroke.java,
	libraries/javalib/javax/swing/colorchooser/DefaultHSBChooserPanel.java,
	libraries/javalib/javax/swing/colorchooser/DefaultRGBChooserPanel.java,
	libraries/javalib/javax/swing/plaf/basic/BasicButtonListener.java,
	libraries/javalib/javax/swing/plaf/basic/BasicComboBoxUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicComboPopup.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTabbedPaneUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTableHeaderUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTableUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTextUI.java,
	libraries/javalib/javax/swing/table/DefaultTableCellRenderer.java,
	libraries/javalib/javax/swing/table/DefaultTableModel.java,
	libraries/javalib/javax/swing/text/AbstractDocument.java,
	libraries/javalib/javax/swing/text/AttributeSet.java,
	libraries/javalib/javax/swing/text/DefaultEditorKit.java:
	Resynced with GNU Classpath.

	2004-09-23  Mark Wielaard  <mark@klomp.org>

	* javax/swing/table/DefaultTableModel.java: Whitespace cleanup.

	2004-09-23  Mark Wielaard  <mark@klomp.org>

	* java/awt/Component.java: Whitespace cleanup.
	* java/awt/Container.java: Likewise.
	* java/awt/DefaultFocusTraversalPolicy.java: Likewise.
	* java/awt/DefaultKeyboardFocusManager.java: Likewise.
	* java/awt/KeyboardFocusManager.java: Likewise.

	2004-09-23  Mark Wielaard  <mark@klomp.org>

	* examples/gnu/classpath/examples/awt/Demo.java: Add help menu
	example.

	* include/gnu_java_awt_peer_gtk_GtkButtonPeer.h: Regenerate with gcjh
	from CVS.
	* include/gnu_java_awt_peer_gtk_GtkCheckboxPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkComponentPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkFramePeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkGenericPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkLabelPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkListPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkMenuBarPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkMenuItemPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkTextAreaPeer.h: Likewise.
	* include/gnu_java_awt_peer_gtk_GtkTextFieldPeer.h: Likewise.

	2004-09-23  David Jee  <djee@redhat.com>

	PR AWT/17059
	* gnu/java/awt/peer/gtk/GtkMenuBarPeer.java
	(nativeSetHelpMenu): New native method declaration.
	(addHelpMenu): Call nativeSetHelpMenu().
	(addMenu): Remove.
	* java/awt/MenuBar.java
	(setHelpMenu): Call addNotify() on the new help menu.
	(add): Call addNotify() on the new menu.
	(addNotify): Set the help menu if one exists.
	* java/awt/peer/MenuBarPeer.java
	(addMenu): Remove.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuBarPeer.c
	(nativeSetHelpMenu): New method.

	2004-09-23  Mark Wielaard  <mark@klomp.org>

	* javax/swing/AbstractButton.java: Whitespace cleanup.
	* javax/swing/DefaultButtonModel.java: Likewise.
	* javax/swing/JLabel.java: Likewise.
	* javax/swing/KeyStroke.java: Likewise.
	* javax/swing/plaf/basic/BasicButtonListener.java: Likewise.
	* javax/swing/plaf/basic/BasicComboBoxUI.java: Likewise.
	* javax/swing/plaf/basic/BasicComboPopup.java: Likewise.
	* javax/swing/plaf/basic/BasicTableHeaderUI.java: Likewise.
	* javax/swing/plaf/basic/BasicTableUI.java: Likewise.
	* javax/swing/plaf/basic/BasicTextUI.java: Likewise.
	* javax/swing/table/DefaultTableCellRenderer.java: Likewise.
	* javax/swing/text/AbstractDocument.java: Likewise.
	* javax/swing/text/AttributeSet.java: Likewise.
	* javax/swing/text/DefaultEditorKit.java: Likewise.

	2004-09-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/InputVerifier.java:
	Re-formatted.
	* javax/swing/JComponent.java
	(inputVerifier): New property field.
	(getInputVerifier): New method.
	(setInputVerifier): Likewise.

	2004-09-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/DebugGraphics.java:
	Re-formatted. Fixed some javadocs.

	2004-09-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/AbstractButton.java:
	Little re-formatting.
	(changeEvent): Made protected.
	(fireStateChanged): Removed argument.
	(setHorizontalAlignment): Abort method when old value is equal too new
	value.
	(setHorizontalTextPosition): Likewise.
	(setVerticalAlignment): Likewise.
	(setVerticalTextPosition): Likewise.
	(setBorderPainted): Likewise.
	(setIcon): Likewise.
	(setText): Likewise.
	(setIconTextGap): Likewise.
	(setMargin): Likewise.
	(setPressedIcon): Likewise.
	(setFocusPainted): Likewise.
	(setDisabledSelectedIcon): Likewise.
	(setRolloverIcon): Likewise.
	(setRolloverSelectedIcon): Likewise.
	(setSelectedIcon): Likewise.
	(setContentAreaFilled): Likewise.

	2004-09-23  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/ComponentSampleModel.java: Add documentation.

	2004-09-22  Patrik Reali  <reali@acm.org>

	* doc/www.gnu.org/announce/20040913.wml: classpath 0.11 release announce
	* doc/www.gnu.org/downloads/downloads.wml: classpath 0.11 download added
	* doc/www.gnu.org/newsitems.txt: classpath 0.11, inetlib 1.1 

	2004-09-22  David Jee  <djee@redhat.com>

	* gnu/java/awt/peer/gtk/GtkMenuItemPeer.java
	(setEnabled): Make it a native method.
	* java/awt/DefaultKeyboardFocusManager.java
	(postProcessKeyEvent): Only post event if the menu item
	is active.
	* java/awt/MenuItem.java:
	Private field 'enabled' should be true by default.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c
	(setEnabled): New function.

	2004-09-22  Jerry Quinn  <jlquinn@optonline.net>

	* java/awt/image/ColorModel.java (getDataElement): Implemented.
	Update javadoc.
	(getDataElements): Add missing version.  Remove bogus version.
	Update javadoc.
	* java/awt/image/MultiPixelPackedSampleModel.java: Implement.
	* java/awt/image/Raster.java
	(createPackedRaster(int,int,int,int,int,Point)): Implement for
	bands>1.
	(getNumBands): Implement.
	* java/awt/image/SinglePixelPackedSampleModel.java
	(SinglePixelPackedSampleModel): Throw exception for unsupported
	datatype.

	2004-09-22  Olga Rodimina  <rodimina@redhat.com>

	* javax/swing/plaf/basic/BasicComboBoxUI.java:
	(paintCurrentValue): Pass correct parameters to 
	getListCellRendererComponent().
	(ListDataHandler.intervalRemoved): Implemented. 
	(PropertyChangeHandler.propertyChange): Handle changes in
	MODEL_CHANGED_PROPERTY of the JComboBox
	* javax/swing/plaf/basic/BasicComboPopup.java:
	(BasicComboPopup): Moved code that configures popup to 
	configurePopup() and call it instead. 
	(firePopupMenuWillBecomeVisible): Implemented.
	(firePopupMenuWillBecomeInvisible): Likewise.
	(firePopupMenuCanceled): Likewise.
	(configureList): Set list's visibleRowCount same as 
	comboBox's visibleRowCount.
	(configurePopup): Implemented.
	(getPopupHeightForRowCount): Get item's from JComboBox's model and 
	not from model of the JList.
	(ListMouseMotionHandler.mouseMoved): Implemented.
	(PropertyChangeHandler.propertyChange): Handles change in the
	JComboBox's model.

	2004-09-22  Kim Ho  <kho@redhat.com>

	* javax/swing/colorchooser/DefaultHSBChooserPanel.java:
	(stateChanged): Only update the image and the track if
	the values are not being adjusted.
	(updateChooser): Grab the new mouse point from the
	spinner values. Update the image and track only if 
	the values are not being adjusted. 
	(getHSBValues): New method.
	* javax/swing/colorchooser/DefaultRGBChooserPanel.java:
	(SliderHandler::stateChanged): Changed internalChange 
	to updateChange. Set sliderChange.
	(SpinnerHandler::stateChanged): Ditto. Set spinnerChange.
	(spinnerChange): New variable.
	(sliderChange): Ditto.
	(updateChange): Renamed from internalChange.
	(updateChooser): Do not update sliders if the sliders
	were the original source of the change. Ditto for spinners.
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java:
	(mousePress): Don't scroll the JViewport if there will
	be extra space at the end of the run. Change layout() to
	revalidate().
	(calculateSize): Use the component's width/height unless
	it is smaller than the max tab width/height.
	(calculateTabRects): Subtract the tab run overlay.
	(rotateTabRuns): Don't rotate if there's only one run.
	(layoutContainer): Reuse the viewport point.
	(createLayoutManager): Set the viewport to use no layout.
	(paintTabArea): Don't paint the tabs that are not visible
	to the JViewport.
	(paintContentBorderTopEdge): Check for scroll tab layout before
	looking for gap.
	(paintContentBorderLeftEdge): Ditto.
	(paintContentBorderBottomEdge): Ditto.
	(paintContentBorderRightEdge): Ditto.

	2004-09-22  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/peer/gtk/GtkClipboard.java,
	java/awt/datatransfer/Clipboard.java,
	java/awt/datatransfer/ClipboardOwner.java:
	Reformated to make it use our coding standard.

	2004-09-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkFramePeer.java (setMenuBar): Set menu
	bar's width.
	* gnu/java/awt/peer/gtk/GtkMenuBarPeer.java (nativeSetHelpMenu):
	Add FIXME comment.
	(addHelpMenu): Elide call to nativeSetHelpMenu.
	* java/awt/Menu.java (isTearOff): Rename to tearOff.
	(menuSerializedDataVersion): Initialize to 1.
	(separatorLabel): Mark transient.
	(insert(MenuItem,int)): Implement.
	* java/awt/MenuBar.java (setHelpMenu): Call getPeer to retrieve
	peer.
	(countMenus): Count help menu.
	* java/awt/MenuItem.java: Remove event mask FIXME.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c
	(gtkWidgetModifyFont): Only set font if label is non-NULL.
	(setLabel): Don't treat "-" specially.

	2004-09-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkButtonPeer.java (gtkWidgetSetFont):
	Rename ...
	(gtkWidgetModifyFont): New method.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c
	(setMenuBarWidth): New method.
	(setBounds): Set the menu bar width.
	(postConfigureEvent): Set the menu bar width if the window's
	width has changed.
	* gnu/java/awt/peer/gtk/GtkMenuBarPeer.java (GtkMenuBarPeer):
	Don't call create.
	(setFont): New method.
	* gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java (create): New
	method.
	(setFont): Likewise.
	(GtkMenuComponentPeer): Call create and setFont.
	* gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c
	(connectSignals): Make package private.
	(gtkWidgetModifyFont): New method.
	(create): Likewise.
	(GtkMenuItemPeer): Don't call create.
	(setFont): New method.
	* java/awt/CheckboxMenuItem.java (addNotify): Fix peer == null
	condition.
	* java/awt/Container.java (validateTree): Fix comment typos.
	* java/awt/MenuComponent.java (getFont): Return parent's font if
	our font is null.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.c
	(create): Remove call to deprecated
	gtk_check_menu_item_set_show_toggle function.

	2004-09-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkFramePeer.java:
	(gtkFixedMove): Remove method.

	2004-09-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* Makefile.am (gtk_c_source_files): Add
	gnu_java_awt_peer_gtk_GtkFramePeer.c.
	* Makefile.in: Regenerate.
	* gnu/java/awt/peer/gtk/GdkGraphics.java (getClipBounds): Remove
	comment.
	* gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
	(create): Pack GtkButton in GtkEventBox.
	(connectJObject): Remove.
	(focus_in_cb): New function.
	(focus_out_cb): Likewise.
	(connectSignals): Connect focus-in-event and focus-out-event
	signals.
	(gtkSetFont): Rename to ...
	(gtkWidgetModifyFont): New method.
	(gtkWidgetRequestFocus): New method.
	* gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c
	(gtkSetFont): Rename to ...
	(gtkWidgetModifyFont): New method.
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(isInRepaint): New field.
	(gtkSetFont): Remove method.
	(addExposeFilter): Likewise.
	(removeExposeFilter): Likewise.
	(gtkWidgetQueueDrawArea): Rename to ...
	(gtkWidgetRepaintArea): New method.
	(beginNativeRepaint): New method.
	(endNativeRepaint): New method.
	(setComponentBounds): Move implementation here from
	GtkComponentPeer.
	(paint): Remove implementation.
	(repaint): Wrap call to gtkWidgetRepaintArea with calls to
	beginNativeRepaint and endNativeRepaint.
	(setBounds): Use menu bar height in bounds calculation.
	(postExposeEvent): Only post paint event if we're not doing a
	native repaint.
	(gtkWidgetSetParent): Replace gtk_layout_put with gtk_fixed_put.
	(setNativeBounds): Replace gtk_layout_move with gtk_fixed_move.
	(find_gtk_layout): Remove function.
	(filter_expose_event_handler): Likewise.
	* gnu/java/awt/peer/gtk/GtkDialogPeer.java (postExposeEvent):
	Likewise.
	* gnu/java/awt/peer/gtk/GtkFileDialogPeer.java
	(setComponentBounds): Call GtkComponentPeer's
	setComponentBounds.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java (getMenuBarHeight):
	New method.
	(moveLayout): Rename to ...
	(gtkFixedMove): New method.
	(gtkLayoutSetVisible): Rename to ...
	(gtkFixedSetVisible): New method.
	(setMenuBar): Rearrange, to make the three separate cases
	clearer.
	(postExposeEvent): Only post paint event if we're not doing a
	native repaint.
	* gnu/java/awt/peer/gtk/GtkGenericPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c
	(gtkWidgetModifyFont): New method.
	* gnu/java/awt/peer/gtk/GtkImagePainter.java
	(GtkImagePainter(GtkImage,GdkGraphics,int,int,int,int,Color)):
	Call run directly, rather than spawning a new thread.
	(GtkImagePainter(GtkImage,GdkGraphics,int,int,int,int,int,int,int,int,Color)):
	Likewise.
	* gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c (gtkSetFont):
	Rename to ...
	(gtkWidgetModifyFont): New method.
	(create): Rename ebox to eventbox.
	* gnu/java/awt/peer/gtk/GtkListPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c (gtkSetFont):
	Rename to ...
	(gtkWidgetModifyFont): New method.
	* gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java
	(GtkMenuComponentPeer): Set the default font.
	* gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c
	(gtkSetFont): Rename to ...
	(gtkWidgetModifyFont): New method.
	* gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c: Likewise.
	* java/awt/Component.java (locale): Initialize to default
	locale.
	* java/awt/Container.java (invalidateTree): Make
	package-private.
	(paint): Paint self first.
	(setMenuBar): Call invalidateTree.
	* java/awt/Panel.java (dispatchEventImpl): Remove method.
	* java/awt/Window.java (show): Call no-parameter variant of
	requestFocusInWindow.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c (initState):
	Remove special case for window widget.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
	(grab_current_drawable): Likewise.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEmbeddedWindowPeer.c
	(create): Replace GtkLayout with GtkFixed.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
	(pre_event_handler): Remove special cases for GDK_EXPOSE events.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c: New file.
	Move all GtkFramePeer native method implementations here from
	gnu_java_awt_peer_gtk_GtkWindowPeer.c.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c (create):
	Replace GtkLayout with GtkFixed.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(find_layout): Remove function.
	(create): Replace GtkLayout with GtkFixed.
	(connectSignals): Remove find_layout call.
	(toBack): Replace XFlush with gdk_flush.
	(toFront): Replace XFlush with gdk_flush.
	Move GtkFramePeer native method implementations to
	gnu_java_awt_peer_gtk_GtkFramePeer.c.
	* jni/gtk-peer/gtkpeer.h: Remove declaration of find_gtk_layout.

	2004-09-22  Michael Koch  <konqueror@gmx.de>

	* native/jni/gtk-peer/Makefile.am:
	Added new file gnu_java_awt_peer_gtk_GtkFramePeer.c.

2004-09-26  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/VMTimeZone.java:
        Resynced with GNU Classpath.

	2004-09-21  Mark Wielaard  <mark@klomp.org>

        * vm/reference/java/util/VMTimeZone.java
        (getDefaultTimeZoneId): Remove debug output.

2004-09-26  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/Collections.java:
	Resynced with GNU Classpath.

	2004-09-21  Mark Wielaard  <mark@klomp.org>

        Fixes bug #10447
        * java/util/Collections.java
        (binarySearch(List, Object, Comparator): Explicitly reverse direction
        in list iterator.

2004-09-25  Dalibor Topic  <robilad@kaffe.org>

	Fix to make mauve JDK 1.4 tests run.

	* libraries/javalib/java/beans/EventHandler.java:
	New file taken from GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

2004-09-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/CodeSource.java:
	Replaced by implementation from GNU Classpath.

	* test/regression/TestScript.in:
	Removed verifyremote option for test runs.

2004-09-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/System.c:
	Added gnu.classpath.vm.shortname.

	* libraries/clib/security/java.security:
	Added GNU Classpath provider.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/gnu/java/io/Base64InputStream.java,
	libraries/javalib/gnu/java/security/provider/DSAKeyFactory.java,
	libraries/javalib/gnu/java/security/provider/DSAKeyPairGenerator.java,
	libraries/javalib/gnu/java/security/provider/DSAParameterGenerator.java,
	libraries/javalib/gnu/java/security/provider/DSAParameters.java,
	libraries/javalib/gnu/java/security/provider/DSASignature.java,
	libraries/javalib/gnu/java/security/provider/DefaultPolicy.java,
	libraries/javalib/gnu/java/security/provider/Gnu.java,
	libraries/javalib/gnu/java/security/provider/GnuDSAPrivateKey.java,
	libraries/javalib/gnu/java/security/provider/GnuDSAPublicKey.java,
	libraries/javalib/gnu/java/security/provider/MD5.java,
	libraries/javalib/gnu/java/security/provider/SHA.java,
	libraries/javalib/gnu/java/security/provider/X509CertificateFactory.java,
	libraries/javalib/gnu/java/security/util/Prime.java,
	libraries/javalib/gnu/java/security/x509/X500DistinguishedName.java,
	libraries/javalib/gnu/java/security/x509/X509CRL.java,
	libraries/javalib/gnu/java/security/x509/X509CRLEntry.java,
	libraries/javalib/gnu/java/security/x509/X509Certificate.java:
	New files taken from GNU Classpath.

	* libraries/javalib/java/security/Security.java:
	Replaced by implementation from GNU Classpath.

2004-09-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/AlgorithmParameterGenerator.java:
        Replaced by implementation from GNU Classpath.

2004-09-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/AlgorithmParameters.java:
        Replaced by implementation from GNU Classpath.

2004-09-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/KeyFactory.java:
        Replaced by implementation from GNU Classpath.

2004-09-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/KeyStoreSpi.java:
        Replaced by implementation from GNU Classpath.

2004-09-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/KeyFactorySpi.java:
        Replaced by implementation from GNU Classpath.

2004-09-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/AlgorithmParametersSpi.java:
        Replaced by implementation from GNU Classpath.

2004-09-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/AlgorithmParameterGeneratorSpi.java:
        Replaced by implementation from GNU Classpath.


2004-09-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/security/provider/SHA1PRNG.java:
	New file, taken from GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/java/security/SecureRandom.java:
        Replaced by implementation from GNU Classpath.

2004-09-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/SecureRandomSpi.java:
        Replaced by implementation from GNU Classpath.

2004-09-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/SecurityPermission.java:
        Replaced by implementation from GNU Classpath.

2004-09-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/Provider.java:
        Replaced by implementation from GNU Classpath.

2004-09-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/KeyPair.java:
        Replaced by implementation from GNU Classpath.

2004-09-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/GuardedObject.java:
        Replaced by implementation from GNU Classpath.

2004-09-21  Noa Resare  <noa@resare.com>

	* libraries/clib/nio/FileChannelImpl.c
	(Java_gnu_java_nio_channels_FileChannelImpl_implTruncate):
	seek to new end of file when truncating the file (mirrors classpath)

2004-09-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/DigestOutputStream.java:
        Replaced by implementation from GNU Classpath.

2004-09-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/DigestInputStream.java:
        Replaced by implementation from GNU Classpath.

2004-09-21  Dalibor Topic  <robilad@kaffe.org>

	*  libraries/javalib/java/security/BasicPermission.java
	Replaced by implementation from GNU Classpath.

2004-09-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

2004-09-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/inet/imap/IMAPConnection.java,
	libraries/javalib/gnu/inet/pop3/POP3Connection.java,
	libraries/javalib/gnu/inet/smtp/SMTPConnection.java,
	libraries/javalib/gnu/inet/util/BASE64.java,
	libraries/javalib/gnu/inet/util/SaslCallbackHandler.java,
	libraries/javalib/gnu/inet/util/SaslCramMD5.java,
	libraries/javalib/gnu/inet/util/SaslLogin.java,
	libraries/javalib/gnu/inet/util/SaslPlain.java:
	Resynced with GNU Inetlib.

	2004-09-20  Chris Burdess  <dog@bluezoo.org>

        * BASE64.java: Padding characters at end of encoded data.

	2004-09-12  Chris Burdess  <dog@bluezoo.org>

        * IMAPConnection.java,POP3Connection.java,SMTPConnection.java,util:
            Fallback SASL clients for LOGIN, PLAIN, and CRAM-MD5.

2004-09-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/applet/Applet.java,
	libraries/javalib/java/applet/AppletContext.java,
	libraries/javalib/java/applet/AppletStub.java,
	libraries/javalib/java/applet/AudioClip.java:
	Resynced with GNU Classpath.

	2004-09-21  Michael Koch  <konqueror@gmx.de>

        * java/applet/Applet.java,
        java/applet/AppletContext.java,
        java/applet/AppletStub.java,
        java/applet/AudioClip.java:
        Jalopied and checkstyle clean.

2004-09-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/im/spi/package.html,
	libraries/javalib/javax/crypto/package.html,
	libraries/javalib/javax/crypto/interfaces/package.html,
	libraries/javalib/javax/crypto/spec/package.html,
	libraries/javalib/javax/net/ServerSocketFactory.java,
	libraries/javalib/javax/net/SocketFactory.java,
	libraries/javalib/javax/net/VanillaServerSocketFactory.java,
	libraries/javalib/javax/net/VanillaSocketFactory.java,
	libraries/javalib/javax/net/package.html,
	libraries/javalib/javax/net/ssl/HandshakeCompletedEvent.java,
	libraries/javalib/javax/net/ssl/HandshakeCompletedListener.java,
	libraries/javalib/javax/net/ssl/HostnameVerifier.java,
	libraries/javalib/javax/net/ssl/HttpsURLConnection.java,
	libraries/javalib/javax/net/ssl/KeyManager.java,
	libraries/javalib/javax/net/ssl/KeyManagerFactory.java,
	libraries/javalib/javax/net/ssl/KeyManagerFactorySpi.java,
	libraries/javalib/javax/net/ssl/ManagerFactoryParameters.java,
	libraries/javalib/javax/net/ssl/SSLContext.java,
	libraries/javalib/javax/net/ssl/SSLContextSpi.java,
	libraries/javalib/javax/net/ssl/SSLException.java,
	libraries/javalib/javax/net/ssl/SSLHandshakeException.java,
	libraries/javalib/javax/net/ssl/SSLKeyException.java,
	libraries/javalib/javax/net/ssl/SSLPeerUnverifiedException.java,
	libraries/javalib/javax/net/ssl/SSLPermission.java,
	libraries/javalib/javax/net/ssl/SSLProtocolException.java,
	libraries/javalib/javax/net/ssl/SSLServerSocketFactory.java,
	libraries/javalib/javax/net/ssl/SSLSession.java,
	libraries/javalib/javax/net/ssl/SSLSessionBindingEvent.java,
	libraries/javalib/javax/net/ssl/SSLSessionBindingListener.java,
	libraries/javalib/javax/net/ssl/SSLSessionContext.java,
	libraries/javalib/javax/net/ssl/SSLSocket.java,
	libraries/javalib/javax/net/ssl/SSLSocketFactory.java,
	libraries/javalib/javax/net/ssl/TrivialHostnameVerifier.java,
	libraries/javalib/javax/net/ssl/TrustManager.java,
	libraries/javalib/javax/net/ssl/TrustManagerFactory.java,
	libraries/javalib/javax/net/ssl/TrustManagerFactorySpi.java,
	libraries/javalib/javax/net/ssl/X509KeyManager.java,
	libraries/javalib/javax/net/ssl/X509TrustManager.java,
	libraries/javalib/javax/net/ssl/package.html,
	libraries/javalib/javax/security/package.html,
	libraries/javalib/javax/security/auth/package.html,
	libraries/javalib/javax/security/auth/callback/package.html,
	libraries/javalib/javax/security/auth/login/package.html,
	libraries/javalib/javax/security/cert/package.html,
	libraries/javalib/javax/security/sasl/package.html,
	libraries/javalib/javax/swing/package.html,
	libraries/javalib/javax/swing/border/package.html,
	libraries/javalib/javax/swing/colorchooser/package.html,
	libraries/javalib/javax/swing/filechooser/package.html,
	libraries/javalib/javax/swing/plaf/package.html,
	libraries/javalib/javax/swing/plaf/basic/package.html,
	libraries/javalib/javax/swing/plaf/metal/package.html,
	libraries/javalib/javax/swing/table/package.html,
	libraries/javalib/javax/swing/text/html/package.html,
	libraries/javalib/javax/swing/text/html/parser/package.html,
	libraries/javalib/javax/swing/tree/package.html,
	libraries/javalib/javax/swing/undo/package.html:
	Resynced with GNU Classpath. Added missing package.html files,
	and switched javax.net over to GNU Classpath's
	implementation (resulting just in changes in header comments).

	2004-09-21  Michael Koch  <konqueror@gmx.de>

        * javax/crypto/package.html,
        javax/crypto/interfaces/package.html,
        javax/crypto/spec/package.html,
        javax/net/package.html,
        javax/net/ssl/package.html,
        javax/security/package.html,
        javax/security/auth/package.html,
        javax/security/auth/callback/package.html,
        javax/security/auth/login/package.html,
        javax/security/cert/package.html,
        javax/security/sasl/package.html:
        New files for package documentation.

2004-09-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/net/ssl/SSLServerSocket.java:
        Resynced with GNU Classpath.

	2004-09-20  Michael Koch  <konqueror@gmx.de>

        * javax/net/ssl/SSLServerSocket.java:
        Removed comment about "Do not edit this file, it's generated.".

2004-09-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/StackTraceElement.java:
	Resynced with GNU Classpath.

	2004-09-20  Jeroen Frijters  <jeroen@frijters.net>

        * java/lang/StackTraceElement.java
        (className): Renamed field to declaringClass to be compatible
        with Sun serialization format.

2004-09-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/rmi/server/UnicastServer.java,
	libraries/javalib/gnu/java/rmi/server/UnicastServerRef.java:
        Resynced with GNU Classpath.

	2004-09-20  Ilya Perminov  <iperminov@logicalsoft.com>

        * gnu/java/rmi/server/UnicastServer.java
        (incomingMessageCall): Added code to handle Errors.
        * gnu/java/rmi/server/UnicastServerRef.java
        (incomingMessageCall): Added code to handle Errors.

2004-09-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/net/protocol/file/Handler.java:
        Resynced with GNU Classpath.

	2004-09-20  Michael Koch  <konqueror@gmx.de>

        * gnu/java/net/protocol/file/Handler.java
        (openConnection): Clarified comment.

2004-09-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JInternalFrame.java,
	libraries/javalib/javax/swing/plaf/basic/BasicInternalFrameTitlePane.java:
        Resynced with GNU Classpath.

	2004-09-20  Jeroen Frijters  <jeroen@frijters.net>

        * javax/swing/JInternalFrame.java
        (CONTENT_PANE_PROPERTY,FRAME_ICON_PROPERTY,GLASS_PANE_PROPERTY,
        IS_CLOSED_PROPERTY,IS_ICON_PROPERTY,IS_MAXIMUM_PROPERTY,
        IS_SELECTED_PROPERTY,LAYERED_PANE_PROPERTY,MENU_BAR_PROPERTY,
        ROOT_PANE_PROPERTY,TITLE_PROPERTY): Made final as per API spec.
        * javax/swing/plaf/basic/BasicInternalFrameTitlePane.java
        (CLOSE_CMD,ICONIFY_CMD,MAXIMIZE_CMD,MOVE_CMD,RESTORE_CMD,SIZE_CMD):
        Made final as per API spec.

2004-09-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/Collections.java:
	Resynced with GNU Classpath.

	2004-09-19  Mark Wielaard  <mark@klomp.org>

        * java/util/Collections.java (rotate): Just return when list is empty.

2004-09-20  Dalibor Topic  <robilad@kaffe.org>

	* developers/autogen.sh:
	Updated to automake 1.9.2 and libtool 1.5.10.

	* FAQ/FAQ.automake:
        Updated to automake 1.9.2 and libtool 1.5.10.

	* Makefile.in,
	aclocal.m4,
	configure,
	config/Makefile.in,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/aclocal.m4,
	kaffe/kaffevm/boehm-gc/boehm/doc/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/include/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libltdl/Makefile.in,
	libltdl/acinclude.m4,
	libltdl/aclocal.m4,
	libltdl/config.guess,
	libltdl/config.sub,
	libltdl/configure,
	libltdl/install-sh,
	libltdl/ltdl.c,
	libltdl/ltmain.sh,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/classpath-gtk/Makefile.in,
	libraries/clib/awt/classpath-gtk/classpath/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/clib/awt/classpath-gtk/resource/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	libraries/javalib/awt-implementations/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/gmp-math/Makefile.in,
	m4/libtool.m4,
	replace/Makefile.in,
	scripts/compile,
	scripts/config.guess,
	scripts/config.sub,
	scripts/install-sh,
	scripts/ltmain.sh,
	scripts/missing,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in:
	Regenerated.

2004-09-20  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/TreeMap.java:
	Resynced with GNU Classpath.

	2004-09-19  Mark Wielaard  <mark@klomp.org>

        Fixes bug #10383 reported by Ilya Perminov.
        * java/util/TreeMap.java (root): Don't initialize.
        (TreeMap(Comparator)): Call fabricateTree(0).
        (fabricateTree): Initialize root and size when count is 0.

	* test/jni/Makefile.am:
	(AM_CPPFLAGS) Added top/builddir/include.
	
	* test/jni/Makefile.in:
	Regenerated.

2004-09-20  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	Doxified a few functions.

2004-09-20  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/thread.c
	(startSpecialThread, createDaemon): Better synchronisation with
	waitStaticCond and signalStaticCond.

	* kaffe/kaffevm/systems/unix-pthreads/lock-impl.c
	(setBlockState, clearBlockState): New functions to handle the
	blockState variable.
	(ThreadCondWait): Handles infinite wait for conditions.
	(jmutex_lock, jcondvar_wait): Updated to use the new helper functions.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(incrPointer): New helper function to fix some warnings in
	jthread_relaxstack.
	(KaffePThread_WaitForResume): New helper function to sleep a
	little more if the thread is still in suspend state.
	(jthread_unsuspendall, jthread_suspendall): Now we take care of
	already blocked thread in mutexes or conditions.
	(jthread_create): Initialize suspendLock.
	(tDispose): Destroy suspendLock.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.h
	(jthread_t): New field suspendLock.
	(KaffePThread_WaitForResume, detectStackBoundaries): Added prototypes.
	
2004-09-20  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/classpath/Makefile.am:
	(AM_CPPFLAGS) Added.

	* libraries/clib/awt/classpath-gtk/classpath/Makefile.in:
	Rengenerated.

2004-09-19  Dalibor Topic  <robilad@kaffe.org>

	* include/jni.h: Fixed include for
	jni_md.h.

2004-09-19  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/System.c:
	Set java.version to 1.4.

2004-09-18  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Use AC_DEFINE instead of messing
	with CFLAGS for xdebugging.

	* configure,
	config/config.h.in,
	kaffe/kaffe/Makefile.in:
	Regenerated.

	* kaffe/kaffe/Makefile.am:
	Cleaned up.

	* kaffe/xprof/callGraph.c,
	kaffe/xprof/debugFile.c,
	kaffe/xprof/feedback.c,
	kaffe/xprof/fileSections.c,
	kaffe/xprof/gmonFile.c,
	kaffe/xprof/mangle.c,
	kaffe/xprof/memorySamples.c,
	kaffe/xprof/sectionFile.c,
	kaffe/xprof/xprofiler.c:
	Include config.h.

	Reported by: Daniel Bonniot  <bonniot@users.sourceforge.net>

2004-09-17  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/Permission.java:
	Replaced by implementation from GNU Classpath to
	fix Nice bootstrap problems.

	Reported by: Daniel Bonniot  <bonniot@users.sourceforge.net>

2004-09-17  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac:
	Use --enable-gjdoc instead of --with-gjdoc.

	* configure: Regenerated.

	Reported by: Kiyo Inaba <inaba@src.ricoh.co.jp>

2004-09-17  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/xml/aelfred2/JAXPFactory.java,
	libraries/javalib/gnu/xml/aelfred2/SAXDriver.java,
	libraries/javalib/gnu/xml/aelfred2/XmlParser.java,
	libraries/javalib/gnu/xml/aelfred2/XmlReader.java,
	libraries/javalib/gnu/xml/aelfred2/package.html,
	libraries/javalib/gnu/xml/dom/Consumer.java,
	libraries/javalib/gnu/xml/dom/DomAttr.java,
	libraries/javalib/gnu/xml/dom/DomCDATA.java,
	libraries/javalib/gnu/xml/dom/DomCharacterData.java,
	libraries/javalib/gnu/xml/dom/DomComment.java,
	libraries/javalib/gnu/xml/dom/DomDoctype.java,
	libraries/javalib/gnu/xml/dom/DomDocument.java,
	libraries/javalib/gnu/xml/dom/DomElement.java,
	libraries/javalib/gnu/xml/dom/DomEntity.java,
	libraries/javalib/gnu/xml/dom/DomEntityReference.java,
	libraries/javalib/gnu/xml/dom/DomEvent.java,
	libraries/javalib/gnu/xml/dom/DomEx.java,
	libraries/javalib/gnu/xml/dom/DomExtern.java,
	libraries/javalib/gnu/xml/dom/DomFragment.java,
	libraries/javalib/gnu/xml/dom/DomImpl.java,
	libraries/javalib/gnu/xml/dom/DomIterator.java,
	libraries/javalib/gnu/xml/dom/DomNamedNodeMap.java,
	libraries/javalib/gnu/xml/dom/DomNode.java,
	libraries/javalib/gnu/xml/dom/DomNotation.java,
	libraries/javalib/gnu/xml/dom/DomNsNode.java,
	libraries/javalib/gnu/xml/dom/DomPI.java,
	libraries/javalib/gnu/xml/dom/DomText.java,
	libraries/javalib/gnu/xml/dom/ImplementationList.java,
	libraries/javalib/gnu/xml/dom/ImplementationSource.java,
	libraries/javalib/gnu/xml/dom/JAXPFactory.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeAttr.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeCDATASection.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeCharacterData.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeComment.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeDOMException.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeDOMStringList.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocument.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocumentBuilder.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocumentBuilderFactory.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocumentFragment.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocumentType.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeElement.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeEntity.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeEntityReference.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeNamedNodeMap.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeNode.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeNodeIterator.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeNodeList.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeNotation.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeProcessingInstruction.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeText.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeTypeInfo.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeXPathExpression.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeXPathNSResolver.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeXPathNodeList.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeXPathResult.java,
	libraries/javalib/gnu/xml/libxmlj/sax/GnomeLocator.java,
	libraries/javalib/gnu/xml/libxmlj/sax/GnomeSAXParser.java,
	libraries/javalib/gnu/xml/libxmlj/sax/GnomeSAXParserFactory.java,
	libraries/javalib/gnu/xml/libxmlj/sax/GnomeXMLReader.java,
	libraries/javalib/gnu/xml/libxmlj/sax/Namespaces.java,
	libraries/javalib/gnu/xml/libxmlj/sax/StringArrayAttributes.java,
	libraries/javalib/gnu/xml/libxmlj/sax/XMLName.java,
	libraries/javalib/gnu/xml/libxmlj/transform/ErrorListenerErrorHandler.java,
	libraries/javalib/gnu/xml/libxmlj/transform/GnomeTransformer.java,
	libraries/javalib/gnu/xml/libxmlj/transform/URIResolverEntityResolver.java,
	libraries/javalib/gnu/xml/libxmlj/util/EmptyNodeList.java,
	libraries/javalib/gnu/xml/libxmlj/util/NamedInputStream.java,
	libraries/javalib/gnu/xml/libxmlj/util/StandaloneDocumentType.java,
	libraries/javalib/gnu/xml/libxmlj/util/StandaloneLocator.java,
	libraries/javalib/gnu/xml/libxmlj/util/XMLJ.java,
	libraries/javalib/gnu/xml/pipeline/CallFilter.java,
	libraries/javalib/gnu/xml/pipeline/DomConsumer.java,
	libraries/javalib/gnu/xml/pipeline/EventConsumer.java,
	libraries/javalib/gnu/xml/pipeline/EventFilter.java,
	libraries/javalib/gnu/xml/pipeline/LinkFilter.java,
	libraries/javalib/gnu/xml/pipeline/NSFilter.java,
	libraries/javalib/gnu/xml/pipeline/PipelineFactory.java,
	libraries/javalib/gnu/xml/pipeline/TeeConsumer.java,
	libraries/javalib/gnu/xml/pipeline/TextConsumer.java,
	libraries/javalib/gnu/xml/pipeline/ValidationConsumer.java,
	libraries/javalib/gnu/xml/pipeline/WellFormednessFilter.java,
	libraries/javalib/gnu/xml/pipeline/XIncludeFilter.java,
	libraries/javalib/gnu/xml/pipeline/XsltFilter.java,
	libraries/javalib/gnu/xml/pipeline/package.html,
	libraries/javalib/gnu/xml/util/DoParse.java,
	libraries/javalib/gnu/xml/util/DomParser.java,
	libraries/javalib/gnu/xml/util/Resolver.java,
	libraries/javalib/gnu/xml/util/SAXNullTransformerFactory.java,
	libraries/javalib/gnu/xml/util/XCat.java,
	libraries/javalib/gnu/xml/util/XHTMLWriter.java,
	libraries/javalib/gnu/xml/util/XMLWriter.java,
	libraries/javalib/gnu/xml/util/package.html,
	libraries/javalib/javax/xml/parsers/ClassStuff.java,
	libraries/javalib/javax/xml/parsers/DocumentBuilder.java,
	libraries/javalib/javax/xml/parsers/DocumentBuilderFactory.java,
	libraries/javalib/javax/xml/parsers/FactoryConfigurationError.java,
	libraries/javalib/javax/xml/parsers/ParserConfigurationException.java,
	libraries/javalib/javax/xml/parsers/SAXParser.java,
	libraries/javalib/javax/xml/parsers/SAXParserFactory.java,
	libraries/javalib/javax/xml/transform/ClassStuff.java,
	libraries/javalib/javax/xml/transform/ErrorListener.java,
	libraries/javalib/javax/xml/transform/OutputKeys.java,
	libraries/javalib/javax/xml/transform/Result.java,
	libraries/javalib/javax/xml/transform/Source.java,
	libraries/javalib/javax/xml/transform/SourceLocator.java,
	libraries/javalib/javax/xml/transform/Templates.java,
	libraries/javalib/javax/xml/transform/Transformer.java,
	libraries/javalib/javax/xml/transform/TransformerConfigurationException.java,
	libraries/javalib/javax/xml/transform/TransformerException.java,
	libraries/javalib/javax/xml/transform/TransformerFactory.java,
	libraries/javalib/javax/xml/transform/TransformerFactoryConfigurationError.java,
	libraries/javalib/javax/xml/transform/URIResolver.java,
	libraries/javalib/javax/xml/transform/dom/DOMLocator.java,
	libraries/javalib/javax/xml/transform/dom/DOMResult.java,
	libraries/javalib/javax/xml/transform/dom/DOMSource.java,
	libraries/javalib/javax/xml/transform/sax/SAXResult.java,
	libraries/javalib/javax/xml/transform/sax/SAXSource.java,
	libraries/javalib/javax/xml/transform/sax/SAXTransformerFactory.java,
	libraries/javalib/javax/xml/transform/sax/TemplatesHandler.java,
	libraries/javalib/javax/xml/transform/sax/TransformerHandler.java,
	libraries/javalib/javax/xml/transform/stream/StreamResult.java,
	libraries/javalib/javax/xml/transform/stream/StreamSource.java:
	Resynced with GNU JAXP.

	2004-09-03  Chris Burdess       <dog@gnu.org>

        * all: Replaced GPL exception with new exception text.

	2004-09-01  Chris Burdess       <dog@gnu.org>

        * all: Reassigned David Brownell's copyright to FSF.

2004-09-17  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/nio/ByteBuffer.java,
	libraries/javalib/java/nio/CharBuffer.java,
	libraries/javalib/java/nio/DoubleBuffer.java,
	libraries/javalib/java/nio/FloatBuffer.java,
	libraries/javalib/java/nio/IntBuffer.java,
	libraries/javalib/java/nio/LongBuffer.java,
	libraries/javalib/java/nio/ShortBuffer.java:
	Resynced with GNU Classpath.

	2004-09-17  Sven de Marothy <sven@physto.se>

        * java/nio/ByteBuffer.java:
        (hashCode): Implemented.
        * java/nio/CharBuffer.java:
        * java/nio/DoubleBuffer.java:
        * java/nio/FloatBuffer.java:
        * java/nio/LongBuffer.java:
        * java/nio/IntBuffer.java:
        * java/nio/ShortBuffer.java:
        Likewise.

2004-09-17  Michael Franz <mvfranz@gmail.com>,
	    Timothy S. Stack <stack@cs.utah.edu>

	* config/powerpc/jit.h:
	merged in from JanOSVM with CIF optimizations removed

	* config/powerpc/jit3-icode.h:
	copy from JanOSVM with HAVE_move_int_const 
	& HAVE_move_ref_const removed 

	* config/powerpc/jit3-powerpc.def:
	copy from JanOSVM with janosvm/nameSpace.h include removed 
	and update LOUT macro usage to conform with current Kaffe 
	implementation and removed CIF optimizations.

	* config/powerpc/callmethod_ppc.h,
	config/powerpc/ppc_isa.defs,
	config/powerpc/ppc_isa.h,
	config/powerpc/ppc_macros.h,
	config/powerpc/ppc_stack_frame.h,
	config/powerpc/trampolines.c,
	config/powerpc/darwin/jit3-md.h:
	Merged in from JanosVM.

	2002-07-31 Wednesday 09:08  stack

        * config/powerpc/: jit.h, jit3-icode.h, jit3-powerpc.def,
        ppc_isa.defs: tweaks

	2002-07-31 Wednesday 08:30  stack

        * config/powerpc/ppc_stack_frame.h: add floating point argument
        register count

	2002-07-31 Wednesday 08:29  stack

        * config/powerpc/: ppc_isa.defs, ppc_isa.h: add frsp opcode

	2002-07-31 Wednesday 08:28  stack

        * config/powerpc/jit3-powerpc.def: fixes for floats/doubles and
        argument pushing

	2002-07-31 Wednesday 08:28  stack

        * config/powerpc/jit3-icode.h: define HAVE_div_int

	2002-07-31 Wednesday 08:28  stack

        * config/powerpc/jit.h: define PUSHARG_FORWARDS

	2002-07-27 Saturday 16:17  stack

        * config/powerpc/darwin/: jit3-md.h, md.h: first checkin of ppc
        jitter stuff

	2002-07-27 Saturday 15:51  stack

        * config/powerpc/: jit.h, jit3-icode.h, jit3-powerpc.def,
        ppc_isa.defs, ppc_isa.h, ppc_macros.h, ppc_stack_frame.h,
        trampolines.c: initial checkin of powerpc jitter back end, works a
        bit, but still fails quite a few tests

2004-09-17  Dalibor Topic  <robilad@kaffe.org>

	* config/Makefile.am:
	(EXTRA_DIST) Added new files.

	* config/Makefile.in:
	Regenerated.

2004-09-17  Noa Resare  <noa@resare.com>
	Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c:
	(jthreadedRecvfrom) use select() instead of poll()

2004-09-16  Noa Resare  <noa@resare.com>

	* kaffe/kaffevm/kaffe-gc/gc-mem.c (gc_block_alloc):
        Fix freelist corruption when the gc_block array is moved.

2004-09-16  Dalibor Topic  <robilad@kaffe.org>

        * configure.ac:
	Added --with-gjdoc option.

        * tools/Makefile.am:
	Only build gjdoc when requested.

	Reported by: Kiyo Inaba <inaba@src.ricoh.co.jp>

        * Makefile.in,
        configure,
        config/Makefile.in,
        include/Makefile.in,
        kaffe/Makefile.in,
        kaffe/jvmpi/Makefile.in,
        kaffe/kaffe/Makefile.in,
        kaffe/kaffeh/Makefile.in,
        kaffe/kaffevm/Makefile.in,
        kaffe/kaffevm/boehm-gc/Makefile.in,
        kaffe/kaffevm/gcj/Makefile.in,
        kaffe/kaffevm/intrp/Makefile.in,
        kaffe/kaffevm/jit/Makefile.in,
        kaffe/kaffevm/jit3/Makefile.in,
        kaffe/kaffevm/jni/Makefile.in,
        kaffe/kaffevm/kaffe-gc/Makefile.in,
        kaffe/kaffevm/systems/Makefile.in,
        kaffe/kaffevm/systems/beos-native/Makefile.in,
        kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
        kaffe/kaffevm/verifier/Makefile.in,
        kaffe/man/Makefile.in,
        kaffe/scripts/Makefile.in,
        kaffe/scripts/bat/Makefile.in,
        kaffe/scripts/compat/Makefile.in,
        kaffe/xprof/Makefile.in,
        libraries/Makefile.in,
        libraries/clib/Makefile.in,
        libraries/clib/awt/Makefile.in,
        libraries/clib/awt/X/Makefile.in,
        libraries/clib/awt/classpath-gtk/Makefile.in,
        libraries/clib/awt/classpath-gtk/classpath/Makefile.in,
        libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
        libraries/clib/awt/classpath-gtk/resource/Makefile.in,
        libraries/clib/awt/qt/Makefile.in,
        libraries/clib/io/Makefile.in,
        libraries/clib/libxmlj/Makefile.in,
        libraries/clib/management/Makefile.in,
        libraries/clib/math/Makefile.in,
        libraries/clib/native/Makefile.in,
        libraries/clib/net/Makefile.in,
        libraries/clib/nio/Makefile.in,
        libraries/clib/security/Makefile.in,
        libraries/clib/sound/Makefile.in,
        libraries/clib/sound/alsa/Makefile.in,
        libraries/clib/sound/common/Makefile.in,
        libraries/clib/sound/esd/Makefile.in,
        libraries/clib/zip/Makefile.in,
        libraries/extensions/Makefile.in,
        libraries/extensions/comm/Makefile.in,
        libraries/extensions/comm/javalib/Makefile.in,
        libraries/extensions/microsoft/Makefile.in,
        libraries/extensions/microsoft/clib/Makefile.in,
        libraries/extensions/microsoft/javalib/Makefile.in,
        libraries/extensions/pjava/Makefile.in,
        libraries/extensions/pjava/javalib/Makefile.in,
        libraries/extensions/servlet/Makefile.in,
        libraries/extensions/servlet/javalib/Makefile.in,
        libraries/javalib/Makefile.in,
        libraries/javalib/awt-implementations/Makefile.in,
        libraries/javalib/awt-implementations/kaffe/Makefile.in,
        libraries/javalib/gmp-math/Makefile.in,
        replace/Makefile.in,
        test/Makefile.in,
        test/internal/Makefile.in,
        test/jni/Makefile.in,
        test/regression/Makefile.in,
        test/regression/compile_time/Makefile.in,
        test/regression/compiler/Makefile.in,
        test/regression/run_time/Makefile.in,
        tools/Makefile.in,
        tools/gjdoc/Makefile.in,
        tools/gjdoc/javalib/Makefile.in:
	Regenerated.

2004-09-16  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/Component.java (postEvent): 
	Only delegate to parent if a parent exists.

	Reported by: Stephane Meslin-Weber <steph@tangency.co.uk>

2004-09-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/System.java: 
	Added gnu.classpath.home, gnu.classpath.version
	and gnu.classpath.hom.url properties.

2004-09-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/System.c
	(java_lang_System_initProperties) : Added 
	java.runtime.name and java.runtime.version aliases
	for respective java.vm.* properties, as some code
	depends on them, despite that they are officially 
	undocumented.

	Reported by: Stephane Meslin-Weber <steph@tangency.co.uk>

2004-09-15  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/logging.properties:
	New file. Taken from GNU Classpath.

        * libraries/javalib/Makefile.am.in:
	(jrelib_DATA) Added logging.properties.

        * libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in:
	Regenerated.

2004-09-15  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/java/net/ServerSocket.java
	(implAccept): Set bound to true.

	* libraries/javalib/java/net/Socket.java
	(bound): Make bound package-private.

	Patch from: Ito Kazumitsu  <kaz@maczuka.gcd.org>
	
	* libraries/clib/net/PlainSocketImpl.c
	(socketAccept): Init localport.
	(socketBind): Fixed localport reporting when using IPV6.
	(socketSetOption): Fixed some warnings.
	(socketGetOption): Fixed some warnings.
	Use *_ADDRESS_SIZE instead of raw values.
	
2004-09-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/naming/CompoundName.java:
	Resynced with GNU Classpath.

	2004-09-12  Tom Tromey  <tromey@redhat.com>

        * javax/naming/CompoundName.java (CompoundName): Don't check for
        separator in "flat" case.

2004-09-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am.in
	Only build gmp math when native libs are 
	built, too.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in:
	Regenerated.

	Reported by: Kiyo Inaba <inaba@src.ricoh.co.jp>

2004-09-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am.in
	(KAFFELIBRARYPATH) Add security library.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in:
	Regenerated.

	Reported by: Ito Kazumitsu  <kaz@maczuka.gcd.org>

2004-09-14  Michael Franz <mvfranz@gmail.com>

	* kaffe/kaffevm/jit3/funcs.h:
        Rewritten to only define the functions that are
        actually used.

2004-09-14  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/javalib/java/net/Socket.java
	(getLocalAddress()): If the socket is not bound yet,
	return InetAddress.ANY_IF rather than null.

2004-09-13  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/TimeZone.c:
	Fix include.

	Reported by: Gustavo Guillermo Perez <gustavo@compunauta.com>

2004-09-12  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/inet/ldap/AttributeValues.java,
	libraries/javalib/gnu/inet/ldap/BERConstants.java,
	libraries/javalib/gnu/inet/ldap/BERDecoder.java,
	libraries/javalib/gnu/inet/ldap/BEREncoder.java,
	libraries/javalib/gnu/inet/ldap/BERException.java,
	libraries/javalib/gnu/inet/ldap/LDAPConnection.java,
	libraries/javalib/gnu/inet/ldap/LDAPResult.java,
	libraries/javalib/gnu/inet/ldap/Modification.java,
	libraries/javalib/gnu/inet/ldap/ResultHandler.java:
	New files, taken from GNU inetlib.

	* libraries/javalib/gnu/inet/imap/IMAPConnection.java,
	libraries/javalib/gnu/inet/imap/IMAPConstants.java,
	libraries/javalib/gnu/inet/imap/IMAPException.java,
	libraries/javalib/gnu/inet/imap/IMAPResponse.java,
	libraries/javalib/gnu/inet/imap/IMAPResponseTokenizer.java,
	libraries/javalib/gnu/inet/imap/ListEntry.java,
	libraries/javalib/gnu/inet/imap/MailboxStatus.java,
	libraries/javalib/gnu/inet/imap/MessageStatus.java,
	libraries/javalib/gnu/inet/imap/Pair.java,
	libraries/javalib/gnu/inet/imap/UTF7imap.java,
	libraries/javalib/gnu/inet/smtp/Parameter.java,
	libraries/javalib/gnu/inet/smtp/ParameterList.java,
	libraries/javalib/gnu/inet/smtp/SMTPConnection.java,
	libraries/javalib/gnu/inet/util/BASE64.java,
	libraries/javalib/gnu/inet/util/CRLFInputStream.java,
	libraries/javalib/gnu/inet/util/CRLFOutputStream.java,
	libraries/javalib/gnu/inet/util/EmptyX509TrustManager.java,
	libraries/javalib/gnu/inet/util/GetLocalHostAction.java,
	libraries/javalib/gnu/inet/util/GetSystemPropertyAction.java,
	libraries/javalib/gnu/inet/util/LineInputStream.java,
	libraries/javalib/gnu/inet/util/Logger.java,
	libraries/javalib/gnu/inet/util/MessageInputStream.java,
	libraries/javalib/gnu/inet/util/MessageOutputStream.java,
	libraries/javalib/gnu/inet/util/SaslCallbackHandler.java,
	libraries/javalib/gnu/inet/util/SaslInputStream.java,
	libraries/javalib/gnu/inet/util/SaslOutputStream.java,
	libraries/javalib/gnu/inet/util/StderrLogger.java:
	Resynced with GNU inetlib.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	2004-09-10  Chris Burdess  <dog@bluezoo.org>

        * imap,Logger.java: More verbose debugging messages.

	2004-09-07  Chris Burdess  <dog@bluezoo.org>

        * smtp: Corrections to ESMTP parameter list string form.

	2004-08-25  Chris Burdess  <dog@bluezoo.org>

        * ldap: Experimental LDAP client.

2004-09-12  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/MenuComponent.java,
	libraries/javalib/java/awt/Component.java,
	libraries/javalib/java/awt/MenuBar.java,
	libraries/javalib/java/awt/MenuComponent.java:
	Resynced with GNU Classpath.

	2004-09-11  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * java/awt/MenuComponent.java
        (newEventsOnly): added additional serialization
        comment

	2004-09-11  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * java/awt/Component.java
        (translateEvent): made static with package access
        rather than private
        * java/awt/MenuBar.java
        Added documentation
        (getAccessibleContext()): implemented
        (AccessibleAWTMenuBar): new class
        (AccessibleAWTMenuBar()): new constructor
        (getAccessibleRole()): implemented
        * java/awt/MenuComponent.java
        (accessibleContext, newEventsOnly, nameExplicitlySet,
        focusHandler): new variables
        (setName(String)): adding setting of nameExplicitlySet
        (dispatchEventImpl(java.awt.AWTEvent)): converts 1.1 events
        to 1.0
        (processEvent): added focus handling for accessible component
        (getAccessibleContext()): implemented
        (AccessibleAWTMenuComponent): new class
        (AccessibleAWTMenuComponent()): new constructor
        (addAccessibleSelection(int)): stub for subclasses
        (addFocusListener(java.awt.event.FocusListener)): implemented
        (clearAccessibleSelection()): stub for subclasses
        (contains(java.awt.Point)): implemented against getBounds()
        (getAccessibleAt(java.awt.Point)): stub for subclasses
        (getAccessibleChild(int)): stub for subclasses
        (getAccessibleChildrenCount()): stub for subclasses
        (getAccessibleComponent()): implemented
        (getAccessibleDescription()): implemented
        (getAccessibleIndexInParent()): implemented
        (getAccessibleName()): implemented
        (getAccessibleParent()): implemented
        (getAccessibleRole()): implemented
        (getAccessibleSelection()): implemented
        (getAccessibleSelection(int)): stub for subclasses
        (getAccessibleSelectionCount()): stub for subclasses
        (getAccessibleStateSet()): implemented
        (getBackground()): implemented
        (getBounds()): stub for subclasses
        (getCursor()): implemented
        (getFont()): implemented
        (getFontMetrics(java.awt.Font)): implemented
        (getForeground()): implemented
        (getLocale()): implemented
        (getLocation()): implemented against getBounds()
        (getLocationOnScreen()): stub for subclasses
        (getSize()): implemented against getBounds()
        (isAccessibleChildSelected(int)): stub for subclasses
        (isEnabled()): stub for subclasses
        (isFocusTraversable()): stub for subclasses
        (isShowing()): stub for subclasses
        (isVisible()): stub for subclasses
        (removeAccessibleSelection(int)): stub for subclasses
        (removeFocusListener(java.awt.event.FocusListener)): implemented
        (selectAllAccessibleSelection()): implemented against addAccessibleSelection(int)
        (setBackground(java.awt.Color)): stub for subclasses
        (setBounds(java.awt.Rectangle)): stub for subclasses
        (setCursor(java.awt.Cursor)): stub for subclasses
        (setEnabled(boolean)): stub for subclasses
        (setFont(java.awt.Font)): implemented
        (setForeground(java.awt.Color)): stub for subclasses
        (setLocation(java.awt.Point)): implemented against setBounds()
        (setSize(java.awt.Dimension)): implemented against setBounds()
        (setVisible(boolean)): stub for subclasses

2004-09-12  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	libraries/javalib/gnu/java/net/content/text/plain.java,
	libraries/javalib/gnu/java/net/protocol/file/Connection.java,
	libraries/javalib/java/awt/AWTEventMulticaster.java,
	libraries/javalib/java/awt/Adjustable.java,
	libraries/javalib/java/awt/Canvas.java,
	libraries/javalib/java/awt/Color.java,
	libraries/javalib/java/awt/Component.java,
	libraries/javalib/java/awt/Container.java,
	libraries/javalib/java/awt/DefaultFocusTraversalPolicy.java,
	libraries/javalib/java/awt/DefaultKeyboardFocusManager.java,
	libraries/javalib/java/awt/FontMetrics.java,
	libraries/javalib/java/awt/KeyboardFocusManager.java,
	libraries/javalib/java/awt/Label.java,
	libraries/javalib/java/awt/Point.java,
	libraries/javalib/java/awt/Polygon.java,
	libraries/javalib/java/awt/Rectangle.java,
	libraries/javalib/java/awt/Shape.java,
	libraries/javalib/java/awt/SystemColor.java,
	libraries/javalib/java/awt/dnd/package.html,
	libraries/javalib/java/awt/geom/Arc2D.java,
	libraries/javalib/java/awt/geom/Area.java,
	libraries/javalib/java/awt/geom/CubicCurve2D.java,
	libraries/javalib/java/awt/geom/Ellipse2D.java,
	libraries/javalib/java/awt/geom/GeneralPath.java,
	libraries/javalib/java/awt/geom/PathIterator.java,
	libraries/javalib/java/awt/geom/Point2D.java,
	libraries/javalib/java/awt/geom/QuadCurve2D.java,
	libraries/javalib/java/awt/geom/Rectangle2D.java,
	libraries/javalib/java/awt/geom/RoundRectangle2D.java,
	libraries/javalib/java/awt/image/DataBuffer.java,
	libraries/javalib/java/awt/image/DataBufferByte.java,
	libraries/javalib/java/awt/image/DataBufferDouble.java,
	libraries/javalib/java/awt/image/DataBufferFloat.java,
	libraries/javalib/java/awt/image/DataBufferInt.java,
	libraries/javalib/java/awt/image/DataBufferShort.java,
	libraries/javalib/java/awt/image/DataBufferUShort.java,
	libraries/javalib/java/awt/image/DirectColorModel.java,
	libraries/javalib/java/awt/image/MemoryImageSource.java,
	libraries/javalib/java/awt/image/RGBImageFilter.java,
	libraries/javalib/java/io/DeleteFileHelper.java,
	libraries/javalib/java/io/ObjectInputStream.java,
	libraries/javalib/java/lang/Comparable.java,
	libraries/javalib/java/net/Inet4Address.java,
	libraries/javalib/java/net/URLConnection.java,
	libraries/javalib/java/text/Format.java,
	libraries/javalib/java/util/Arrays.java,
	libraries/javalib/javax/rmi/CORBA/Stub.java,
	libraries/javalib/javax/security/auth/PrivateCredentialPermission.java,
	libraries/javalib/javax/swing/AbstractButton.java,
	libraries/javalib/javax/swing/ActionMap.java,
	libraries/javalib/javax/swing/Box.java,
	libraries/javalib/javax/swing/ButtonGroup.java,
	libraries/javalib/javax/swing/ComboBoxEditor.java,
	libraries/javalib/javax/swing/ComboBoxModel.java,
	libraries/javalib/javax/swing/DefaultButtonModel.java,
	libraries/javalib/javax/swing/DefaultComboBoxModel.java,
	libraries/javalib/javax/swing/DefaultListCellRenderer.java,
	libraries/javalib/javax/swing/InputMap.java,
	libraries/javalib/javax/swing/JColorChooser.java,
	libraries/javalib/javax/swing/JComboBox.java,
	libraries/javalib/javax/swing/JComponent.java,
	libraries/javalib/javax/swing/JLabel.java,
	libraries/javalib/javax/swing/JList.java,
	libraries/javalib/javax/swing/JMenu.java,
	libraries/javalib/javax/swing/JPopupMenu.java,
	libraries/javalib/javax/swing/JRadioButton.java,
	libraries/javalib/javax/swing/JRootPane.java,
	libraries/javalib/javax/swing/JScrollPane.java,
	libraries/javalib/javax/swing/JSpinner.java,
	libraries/javalib/javax/swing/JTabbedPane.java,
	libraries/javalib/javax/swing/JTable.java,
	libraries/javalib/javax/swing/JTextArea.java,
	libraries/javalib/javax/swing/JTextField.java,
	libraries/javalib/javax/swing/JToggleButton.java,
	libraries/javalib/javax/swing/JViewport.java,
	libraries/javalib/javax/swing/KeyStroke.java,
	libraries/javalib/javax/swing/MutableComboBoxModel.java,
	libraries/javalib/javax/swing/ScrollPaneLayout.java,
	libraries/javalib/javax/swing/SpinnerListModel.java,
	libraries/javalib/javax/swing/SpinnerNumberModel.java,
	libraries/javalib/javax/swing/SwingUtilities.java,
	libraries/javalib/javax/swing/Timer.java,
	libraries/javalib/javax/swing/ToolTipManager.java,
	libraries/javalib/javax/swing/TransferHandler.java,
	libraries/javalib/javax/swing/colorchooser/AbstractColorChooserPanel.java,
	libraries/javalib/javax/swing/colorchooser/ColorChooserComponentFactory.java,
	libraries/javalib/javax/swing/colorchooser/DefaultColorSelectionModel.java,
	libraries/javalib/javax/swing/colorchooser/DefaultHSBChooserPanel.java,
	libraries/javalib/javax/swing/colorchooser/DefaultPreviewPanel.java,
	libraries/javalib/javax/swing/colorchooser/DefaultRGBChooserPanel.java,
	libraries/javalib/javax/swing/colorchooser/DefaultSwatchChooserPanel.java,
	libraries/javalib/javax/swing/plaf/basic/BasicArrowButton.java,
	libraries/javalib/javax/swing/plaf/basic/BasicButtonListener.java,
	libraries/javalib/javax/swing/plaf/basic/BasicButtonUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicColorChooserUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicComboBoxEditor.java,
	libraries/javalib/javax/swing/plaf/basic/BasicComboBoxRenderer.java,
	libraries/javalib/javax/swing/plaf/basic/BasicComboBoxUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicComboPopup.java,
	libraries/javalib/javax/swing/plaf/basic/BasicFormattedTextFieldUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicGraphicsUtils.java,
	libraries/javalib/javax/swing/plaf/basic/BasicLookAndFeel.java,
	libraries/javalib/javax/swing/plaf/basic/BasicPasswordFieldUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicPopupMenuUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSliderUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSpinnerUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTableHeaderUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTableUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTextAreaUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTextUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicToggleButtonUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicToolBarUI.java,
	libraries/javalib/javax/swing/plaf/basic/ComboPopup.java,
	libraries/javalib/javax/swing/table/DefaultTableCellRenderer.java,
	libraries/javalib/javax/swing/table/DefaultTableColumnModel.java,
	libraries/javalib/javax/swing/table/DefaultTableModel.java,
	libraries/javalib/javax/swing/table/JTableHeader.java,
	libraries/javalib/javax/swing/table/TableColumnModel.java,
	libraries/javalib/javax/swing/table/TableModel.java,
	libraries/javalib/javax/swing/text/AbstractDocument.java,
	libraries/javalib/javax/swing/text/AttributeSet.java,
	libraries/javalib/javax/swing/text/DefaultCaret.java,
	libraries/javalib/javax/swing/text/DefaultEditorKit.java,
	libraries/javalib/javax/swing/text/DefaultHighlighter.java,
	libraries/javalib/javax/swing/text/FieldView.java,
	libraries/javalib/javax/swing/text/JTextComponent.java,
	libraries/javalib/javax/swing/text/PlainView.java,
	libraries/javalib/javax/swing/text/Segment.java,
	libraries/javalib/javax/swing/text/SimpleAttributeSet.java,
	libraries/javalib/javax/swing/text/StyleConstants.java,
	libraries/javalib/javax/swing/text/StyleContext.java,
	libraries/javalib/javax/swing/text/TabSet.java,
	libraries/javalib/javax/swing/text/TabStop.java,
	libraries/javalib/javax/swing/text/TextAction.java,
	libraries/javalib/javax/swing/text/Utilities.java,
	libraries/javalib/javax/swing/text/View.java,
	libraries/javalib/org/ietf/jgss/GSSException.java:
	Resynced with GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	2004-09-10  Bryce McKinlay  <mckinlay@redhat.com>

	* gnu/java/net/protocol/file/Connection.java
	(dateFormat): New static field.
	(getHeaderField): Implemented.

	2004-09-10  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Connection.java
	(exists): Removed.
	(isDirectory): Likewise.
	(getListing): Likewise.

	2004-09-09  Mark Wielaard  <mark@klomp.org>

	Fixes bug #8991.
	* java/net/URLConnection.java (getContent): Add support for
	explicit mime types. Call getInputStream() if no handler found.
	* gnu/java/net/content/text/plain.java: Removed

	2004-09-09  Casey Marshall  <csm@gnu.org>

	* java/io/ObjectInputStream.java (callReadMethod): re-throw
	`ClassNotFoundException'.

	2004-09-09  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/SystemColor.java: Fix @link doc entries.

	2004-09-09  David Gilbert  <david.gilbert@object-refinery.com>

	* java/awt/image/DataBuffer.java: Update API documentation.
	* java/awt/image/DataBufferByte.java: Likewise.
	* java/awt/image/DataBufferDouble.java: Likewise.
	* java/awt/image/DataBufferFloat.java: Likewise.
	* java/awt/image/DataBufferInt.java: Likewise.
	* java/awt/image/DataBufferShort.java: Likewise.
	* java/awt/image/DataBufferUShort.java: Likewise.

	2004-09-09  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Connection.java
	(lineSeparator): Made non-final.
	(static): Removed.
	(connect): Initialize lineSeparator lazily. Use ByteArrayInputStream
	instead of StringBufferInputStream.

	2004-09-09  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/file/Connection.java
	(connect): Handle file is a directory case.

	2004-09-08  Sven de Marothy  <sven@physto.se>
	
	Patch from David Gilbert <david.gilbert@object-refinery.com>:
	* java/awt/AWTEventMulticaster.java:
	Fix a big number of documentation errors.
	* java/awt/Adjustable.java
	* java/awt/Point.java
	* java/awt/Polygon.java
	* java/awt/Rectangle.java
	* java/awt/Shape.java
	* java/awt/geom/Area.java
	* java/awt/geom/Ellipse2D.java
	* java/awt/geom/PathIterator.java 
	* java/awt/geom/Point2D.java
	* java/awt/geom/Rectangle2D.java 
	* java/lang/Comparable.java
	* java/util/Arrays.java:
	Likewise. Thank you David!

	2004-09-07  Sven de Marothy  <sven@physto.se>

	* java/awt/geom/Arc2D.java:
	(intersects): Fix: Now checks the arc segment.
	(contains): Cleaned up.

	* java/awt/geom/Area.java:
	(isRectangular): Should return true on an empty path.
	(equals): Check for null.
	(rayIntersects): Fix insideness-test

	* java/awt/geom/CubicCurve2D.java:
	Fix insideness-test to comply with the correct behavior on edges
	* java/awt/geom/GeneralPath.java:
	Likewise
	* java/awt/geom/QuadCurve2D.java:
	Likewise
	
	2004-09-07  Jeroen Frijters  <jeroen@frijters.net>

	* java/util/TimeZone.java
	(getDefaultTimeZone): Fixed test to distinguish between hours and
	minutes in specified timezone.

	2004-09-06  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/awt/Canvas.java
	(AccessibleAWTCanvas): added serialization UID
	* java/awt/Label.java
	(AccessibleAWTLabel): added serialization UID
	* java/net/Inet4Address.java
	(Inet4Address): added comment to serialization UID
	* java/text/Format.java
	(Format): added comment to serialization UID
	* javax/rmi/CORBA/Stub.java
	(Stub): added serialization UID
	* javax/security/auth/PrivateCredentialPermission.java
	(PrivateCredentialPermission): added serialization UID
	* javax/swing/JRootPane.java
	(AccessibleJRootPane): added comment to existing UID
	* javax/swing/JSpinner.java
	(DefaultEditor): added serialization UID
	(NumberEditor): added serialization UID
	* javax/swing/SpinnerListModel.java
	(SpinnerListModel): added serialization UID
	* javax/swing/SpinnerNumberModel.java
	(SpinnerNumberModel): added serialization UID
	* javax/swing/text/html/HTML.java
	(UnknownTag): added serialization UID
	* org/ietf/jgss/GSSException.java
	(GSSException): added serialization UID
	
	2004-09-06  Jeroen Frijters  <jeroen@frijters.net>

	* java/lang/Runtime.java
	(load): Added link security check.
	(loadLib): Changed link security check to read check.
	(loadLibrary): Added link security check and throw if ClassLoader
	supplied library doesn't exist.

	2004-09-05  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* javax/swing/AbstractButton.java
	Fixed a typo.
	* javax/swing/JToggleButton.java
	Added missing documentation.
	(AccessibleJToggleButton): new inner class
	(AccessibleJToggleButton()): new constructor
	(getAccessibleRole()): new method
	(itemStateChanged(ItemEvent)): new method
	(JToggleButton(Icon, boolean)): new constructor
	(getAccessibleContext()): implemented
	(updateUI()): style cleanup
	* javax/swing/JRadioButton.java
	Added missing documentation.
	(AccessibleJRadioButton): new inner class
	(AccessibleJRadioButton()): new constructor
	(getAccessibleRole()): new method
	(JRadioButton(Icon, boolean)): new constructor
	(JRadioButton(String, boolean)): new constructor
	(JRadioButton(String, Icon, boolean)): new constructor
	(getAccessibleContext()): implemented
	(updateUI()): new method

	2004-09-05  Mark Wielaard  <mark@klomp.org>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c
	(setChars): Only call pango_itemize() when vec->glyphitems != NULL.
	Only call pango_shape() when gi->glyphs->num_glyphs > 0.

	2004-09-05  Mark Wielaard  <mark@klomp.org>
	
	* gnu/java/awt/peer/gtk/GdkGraphics.java (setColor): Use
	Color.BLACK if c == null, don't create new Color object each time.
	* gnu/java/awt/peer/gtk/GdkGraphics2D.java (comp): New private
	field.
	(setColor): Use Color.BLACK when argument null.
	(setComposite): Set this.comp field.
	(getComposite): Return this.comp, or AlphaComposite.SrcOver when null.
	(DrawState.comp): New private field.
	(DrawState.save): Save Composite.
	(DrawState.restore): Restore comp field.
	* java/awt/FontMetrics.java (gRC): New static final private field.
	(getLineMetrics(String, Graphics)): New method.
	(getLineMetrics(String, int, int, Graphics)): Likewise.
	(getLineMetrics(char[], int, int, Graphics)): Likewise.
	(getLineMetrics(CharacterIterator, int, int, Graphics)): Likewise.
	* javax/swing/JMenu.java (JMenu(String, boolean)): Ignore tearoff
	argument. PR SWING/17294.
	* javax/swing/plaf/basic/BasicGraphicsUtils.java (): Always use
	the fall-back code since none of the TextArea methods are really
	implemented now. PR SWING/17296.
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c
	(GdkGlyphVector_setChars): Replace assert() with if block when
	pango_itemize() returns null. PR AWT/17295.
	(GdkGlyphVector_allInkExtents): Likewise when vec->glyphitems is null.
	
	2004-09-05  Olga Rodimina  <rodimina@redhat.com>

	* javax/swing/ComboBoxEditor.java: Added javadocs.
	* javax/swing/ComboBoxModel.java: Likewise.
	* javax/swing/DefaultComboBoxModel.java: Implemented.
	* javax/swing/DefaultListCellRenderer.java: Added javadocs
	and ran through jalopy to fix formatting style.
	(getListCellRendererComponent): Use appropriate border
	if renderer has focus and use noFocusBorder when it doesn't.
	* javax/swing/JComboBox.java: Implemented.
	* javax/swing/JList.java:
	(locationToIndex): New Method. Implemented.
	(indexToLocation): New Method.
	* javax/swing/JPopupMenu.java: 
	(visible): New field.
	(isVisible): Changed to use new field above.
	(setVisible): Likewise.
	* javax/swing/MutableComboBoxModel.java: Added javadocs.
	* javax/swing/plaf/basic/BasicArrowButton.java: 
	(shadow): Changed default color to Color.gray.
	* javax/swing/plaf/basic/BasicComboBoxUI.java: New File.
	UI delegate for JComboBox.
	* javax/swing/plaf/basic/BasicComboPopup.java: New File.
	Popup menu containing list of JComboBox's items.
	* javax/swing/plaf/basic/BasicComboBoxEditor.java: New File.
	* javax/swing/plaf/basic/BasicComboBoxRenderer.java: New File.
	* javax/swing/plaf/basic/BasicComboBoxUI.java: New File.
	* javax/swing/plaf/basic/BasicComboPopup.java: New File.
	* javax/swing/plaf/basic/BasicPopupMenuUI.java:
	(popupMenuWillBecomeVisible): Set selected path to the first
	element only if it is of type MenuElement. Also fix formatting
	style.
	* javax/swing/plaf/basic/ComboPopup.java: Added javadocs and missing
	methods signatures.

	2004-09-04  Tom Tromey  <tromey@redhat.com>

	* java/awt/dnd/package.html: Fixed typo.

	2004-09-04  Graydon Hoare  <graydon@redhat.com>

	* javax/swing/Box.java: Fix setting of layout in ctor.
	* javax/swing/JScrollPane.java: Scroll headers as well.
	* javax/swing/JTable.java: Reimplement.
	* javax/swing/JViewPort.java: Only add non-null children.
	* javax/swing/ScrollPaneLayout.java: Correct header calculations.
	* javax/swing/Timer.java: Fix stopping null waker.
	* javax/swing/plaf/basic/BasicTableHeaderUI.java: New file.
	* javax/swing/plaf/basic/BasicTableUI.java: New file.
	* javax/swing/table/DefaultTableCellRenderer.java: Configure.
	* javax/swing/table/DefaultTableColumnModel.java: Flesh out.
	* javax/swing/table/DefaultTableModel.java: Clean up.
	* javax/swing/table/JTableHeader.java: Implement.

	2004-09-04  Graydon Hoare  <graydon@redhat.com>

	* javax/swing/DefaultButtonModel.java:
	Skip group notification when no group is set.

	2004-09-04  Graydon Hoare  <graydon@redhat.com>

	* javax/swing/JComponent.java
	(resetKeyboardActions): Add null checks.

	2004-09-04  Graydon Hoare  <graydon@redhat.com>

        * javax/swing/JColorChooser.java:
        Make a couple inner classes static, for jikes.

	2004-09-04  Kim Ho  <kho@redhat.com>

        * java/awt/Color.java: Fix documentation.
        (RGBtoHSB): Use floats for conversions.
        * javax/swing/ButtonGroup.java: Run Jalopy.
        (setSelected): Reimplement.
        * javax/swing/DefaultButtonModel.java: Run Jalopy.
        (changeState): Let ButtonGroup know that the button 
        is changing state.
        * javax/swing/JColorChooser.java: Implement.
        * javax/swing/JLabel.java: Run Jalopy.
        * javax/swing/JSpinner.java: Run Jalopy.
        (setValue): New method.
        * javax/swing/JTabbedPane.java: Run Jalopy.
        (removeTabAt): Call correct remove method.
        * javax/swing/SpinnerNumberModel.java: Run Jalopy.
        (getPreviousValue): Compare minimum value.
        * javax/swing/Timer.java: Run Jalopy.
        (run): Comment out println.
        * javax/swing/ToolTipManager.java:
        (mouseMoved): Get new tooltip text for location.
        * javax/swing/colorchooser/AbstractColorChooserPanel.java:
        Jalopy and Javadoc.
        * javax/swing/colorchooser/ColorChooserComponentFactory.java:
        Implement.
        * javax/swing/colorchooser/DefaultColorSelectionModel.java:
        Run Jalopy.
        (setSelectedColor): Fire ChangeEvent.
        * javax/swing/colorchooser/DefaultHSBChooserPanel.java:
        New file. Implement.
        * javax/swing/colorchooser/DefaultPreviewPanel.java:
        Ditto.
        * javax/swing/colorchooser/DefaultRGBChooserPanel.java:
        Ditto.
        * javax/swing/colorchooser/DefaultSwatchChooserPanel.java:
        Ditto.
        * javax/swing/plaf/basic/BasicArrowButton.java:
        (getArrow): Fix size of upward pointing button.
        * javax/swing/plaf/basic/BasicColorChooserUI.java:
        Implement.
        * javax/swing/plaf/basic/BasicSliderUI.java:
        (getWidthOfWidestLabel): Use preferred dimensions.
        (getHeightOfTallestLabel): Ditto.
        * javax/swing/plaf/basic/BasicSpinnerUI.java:
        Run Jalopy.
        (mousePressed): Disable changes to spinner if it is not enabled.

	2004-09-04  Tom Tromey  <tromey@redhat.com>

	* java/io/DeleteFileHelper.java (DeleteFileHelper): No longer
	public.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTextArea.java
	(lineWrap): Renamed from "wrapping".
	(wrapStyleWord): NEw field.
	(getLineWrap): Re-edited javadoc comment.
	(setLineWrap): Likewise.
	(getWrapStyleWord): New method.
	(setWrapStyleWord): Likewise.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicTextAreaUI.java
	(create): New method.
	* javax/swing/text/DefaultHighlighter.java
	(DefaultHighlightPainter.debugRect): Removed.
	* javax/swing/text/StyleContext.java
	(DEFAULT_STYLE): New field.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(initComponentDefaults): Add keybindings for selection.backward and
	selection-forward for text components.
	* javax/swing/plaf/basic/BasicTextUI.java
	(paintSafely): Paint highlight only when something is actually
	selected.
	* javax/swing/text/DefaultCaret.java
	(handleHighlight): New method.
	(setSelectionVisible): Don't do anything when nothing changes.
	Handle highlight.
	(moveDot): Reimplemented. Handle highlight.
	(setDot): Set mark too. Handle highlight.
	(getSelectionPainter): New method.
	* javax/swing/text/DefaultEditorKit.java
	(defaultActions): Added new actions for text selection.
	* javax/swing/text/DefaultHighlighter.java
	(DefaultHighlightPainter): New inner class.
	(DefaultPainter): New field.
	(paint): Implemented.
	* javax/swing/text/PlainView.java
	(paint): Don't draw background here again.
	* javax/swing/text/Utilities.java
	(getTabbedTextWidth): Use width of ' ' instead of 'm' for tabsize.
	(drawTabbedText): Likewise.

	2004-09-04  Graydon Hoare  <graydon@redhat.com>

	* java/awt/Component.java
	(isFocusTraversable): Predicate on isLightweight()
	(setFocusable): Set isFocusTraversableOverridden.
	(requestFocus): Predicate peer dispatch on !isLightweight()
	(requestFocusInWindow): Likewise.
	(dispatchEventImpl): Coordinate with KeyboardFocusManager.
	* java/awt/Container.java
	(dispatchEventImpl): Predicate on event mask.
	(LightweightDispatcher): Remove focus machinery.
	* java/awt/DefaultFocusTraversalPolicy.java
	(accept): Expand predicate to include isFocusable().
	* java/awt/DefaultKeyboardFocusManager.java:
	Globally change c.dispatchEvent(e) to redispatchEvent(c,e)
	* java/awt/KeyboardFocusManager.java
	(redispatchEvent): Synchronize on event to prevent feedback.
	* javax/swing/AbstractButton.java
	(ButtonFocusListener): Remove class.
	(init): Set focusPainted, focusable.
	* javax/swing/ActionMap.java (get): Check parent for null.
	* javax/swing/InputMap.java (get): Likewise.
	* javax/swing/JComponent.java
	(inputMap_whenFocused): New InputMap.
	(inputMap_whenAncestorOfFocused): Likewise.
	(inputMap_whenInFocusedWindow): Likewise.
	(getActionForKeyStroke): Rewrite.
	(getConditionForKeystroke): Likewise.
	(ActionListenerProxy): New private class.
	(setInputMap): Implement.
	(getInputMap): Likewise.
	(setActionMap): Likewise.
	(getActionMap): Likewise.
	(processComponentKeyEvent): New empty method.
	(processKeyEvent): Implement.
	(processKeyBinding): Likewise.
	(resetKeyboardActions): Rewrite.
	* javax/swing/KeyStroke.java: Rewrite.
	* javax/swing/SwingUtilities.java
	(notifyAction): Implement.
	(replaceUIActionMap): Likewise.
	(replaceUIInputMap): Likewise.
	* javax/swing/plaf/basic/BasicButtonListener.java
	(focusGained): Implement.
	(focusLost): Repaint if focusPainted().
	(installKeyboardActions): Install pressed / released actions.
	(uninstallKeyboardActions): Implement.
	* javax/swing/plaf/basic/BasicButtonUI.java
	(focusColor): New field.
	(installDefaults): Load focus color, install input map.
	(installKeyboardActions): Implement.
	(uninstallKeyboardActions): Likewise.
	(paintFocus): Rewrite.
	* javax/swing/plaf/basic/BasicLookAndFeel.java
	(Button.focus): New default, midPurple.
	* javax/swing/plaf/basic/BasicTextUI.java
	(kit): Make static.
	(installUI): Get doc from kit, load defaults.
	(getKeymapName): Implement.
	(createKeymap): Likewise.
	(installKeyboardActions): Likewise.
	(getInputMap): Likewise.
	(getActionMap): Likewise.
	(createActionMap): Likewise.
	* javax/swing/text/AbstractDocument.java
	(getStartPosition): Implement.
	(getEndPosition): Likewise.
	* javax/swing/text/DefaultEditorKit.java
	(CopyAction): New class.
	(CutAction): Likewise.
	(DefaultKeyTypedAction): Likewise.
	(InsertBreakAction): Likewise.
	(InsertContentAction): Likewise.
	(InsertTabAction): Likewise.
	(PasteAction): Likewise.
	(defaultActions): New static table.
	(createCaret): Implement.
	(getActions): Likewise.
	* javax/swing/text/JTextComponent.java
	(KeymapWrapper): New private class.
	(KeymapActionMap): Likewise.
	(DefaultKeymap): New class.
	(keymaps): New static table.
	(keymap): New field.
	(getKeymap): Implement.
	(removeKeymap): Likewise.
	(addKeymap): Likewise.
	(setKeymap): Likewise.
	(loadKeymap): Likewise.
	(getActions): Likewise.
	(margin): New field.
	(JTextComponent): Build and install default keymap.
	* javax/swing/text/TextAction.java
	(textAction): Call super properly.
	(getTextComponent): Implement.
	* javax/swing/text/Utilities.java
	(drawTabbedText): Adjust position by ascent.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicTextUI.java
	(RottView.modelToView): New method.
	(UpdateHandler): Renamed from EventHandler.
	(updateHandler): Renamed from eventHandler.
	(modelToView): Implemented.
	* javax/swing/text/AbstractDocument.java
	(BranchElement.getElement): Return null for non-existing indeces.
	(BranchElement.getElementIndex): Return 0 in some corner cases.
	* javax/swing/text/FieldView.java
	(modelToView): New method.
	* javax/swing/text/PlainView.java
	(modelToView): Made public.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/AbstractDocument.java
	(createBranchElement): Use new constructor of BranchElement.
	(createLeafElement): Renamed arguments.
	(getRootElements): Implemented.
	(BranchElement.start): Removed.
	(BranchElement.end): Likewise.
	(BranchElement.BranchElement): Fixed arguments.
	(BranchElement.getEndOffset): Reimplemented.
	(BranchElement.getStartOffset): Likewis.
	* javax/swing/text/DefaultCaret.java
	(paint): Draw simple vertical line as caret instead of a rectangle.
	* javax/swing/text/JTextComponent.java
	(setText): Use doc directly.
	* javax/swing/text/PlainView.java
	(nextTabStop): Implemented.
	* javax/swing/text/Utilities.java
	(drawTabbedText): nextTabStop() returns an absolute x position.
	(getTabbedTextWidth): Likewise.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/PlainView.java
	(selectedColor): New field.
	(unselectedColor): Likewise.
	(font): Likewise.
	(updateMetrics): New method.
	(lineToRect): Likewise.
	(modelToView): Likewise.
	(drawSelectedText): Use color from JTextComponent ad draw with
	Utilities class.
	(drawUnselectedText): Likewise.
	(paint): Initialize helper fields.
	* javax/swing/text/View.java
	(getChildAllocation): New method.
	(getViewIndex): Likewise.
	(getToolTipText): Likewise.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/Utilities.java
	(drawTabbedText): Reimplemented.
	(getTabbedTextWidth): Likewise.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicTextUI.java
	(installDefaults): Install caret and highlighter.
	(modelToView): Use Bias.Forward when calling sibling.
	* javax/swing/text/AbstractDocument.java
	(ElementEdit): Implements DocumentEvent.ElementChange.
	(ElementEdit.ElementEdit): New method.
	(ElementEdit.getChildrenAdded): Likewise.
	(ElementEdit.getChildrenRemoved): Likewise.
	(ElementEdit.getElement): Likewise.
	(ElementEdit.getIndex): Likewise.
	* javax/swing/text/DefaultCaret.java
	(color): Removed.
	(textComponent): Renamed from parent, made private.
	(selectionVisible): Renamed from vis_sel, made private.
	(blinkRate): Renamed from blink, made private.
	(magicCaretPosition): Renamed from magic, made private.
	(visible): Renamed from vis, made private.
	(dot): Made private.
	(mark): Likewise.
	(deinstall): Remove as MouseMotionListener.
	(install): Initialize textComponent first. Add as 
	MouseMotionListener.
	(paint): Reimplemented.
	* javax/swing/text/JTextComponent.java
	(setCaret): Deinstall old caret, install new one and fire property
	change after setting property.
	(setHighlighter): Deinstall old highlighter, install new one and fire
	property change after setting property.
	(setCaretColor): Fire property change after setting property.
	(setDisabledTextColor): Likewise.
	(setSelectedTextColor): Likewise.
	(setSelectionColor): Likewise.
	(modelToView): New method.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/AbstractDocument.java
	(getText): Simplified.
	* javax/swing/text/Segment.java
	(current): New field.
	(current): Reimplemented.
	(first): Likewise.
	(getIndex): Likewise.
	(last): Likewise.
	(next): Likewise.
	(previous): Likewise.
	(setIndex): Likewise.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicButtonUI.java
	(defaultTextIconGap): Made protected.
	(defaultTextShiftOffset): Likewise.
	(textShiftOffset): New field.
	(clearTextShiftOffset): New method.
	(getTextShiftOffset): Likewise.
	(setTextShiftOffset): Likewise.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicTextUI.java
	(installUI): Add eventHandler as property listener.
	(uninstallUI): remove eventHandler as propert listener.
	(installDefaults): Added comment.
	(installListeners): Likewise.
	(installKeyboardActions): Likewise.
	(uninstallDefaults): Likewise.
	(uninstallListeners): Likewise.
	(uninstallKeyboardActions): Likewise.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/AbstractDocument.java:
	Fixed some typos in comments.
	(insertString): Reimplemented.
	(remove): Likewise.
	(replace): New method.
	(children): Dont use fully qualified class name.
	(DefaultDocumentEvent.offset): Renamed from off.
	(DefaultDocumentEvent.length): Renamed from len.
	(DefaultDocumentEvent.type): New field.
	(DefaultDocumentEvent.DefaultDocumentEvent): New constructor.
	(DefaultDocumentEvent.getType): Implemented.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicTextUI.java
	(RootView.textComponent): Removed.
	(RootView.RootView): Don't initialize textComponent.
	(RootView.getViewFactory): New method.
	(EventHandler): New inner class.
	(rootView): Initialize at instance creation.
	(eventHandler): New field.
	(installUI): Don't create view hierarchy directly,
	call modelChanged() instead.
	(modelChanged): New method.
	* javax/swing/text/JTextComponent.java
	(setDocument): Fire property change event.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicTextUI.java
	(RootView.paint): Removed debug output.
	(paintSafely): Draw highlighter before text.
	(paintBackground): Use background color of text component.
	* javax/swing/plaf/basic/BasicToggleButtonUI.java:
	Reformatted.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicToolBarUI.java
	(BasicToolBarUI): Fixed arguments for constructor.
	(createUI): Fixed creation of object.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/TabSet.java
	(TabSet): Implements java.io.Serializable.
	* javax/swing/text/TabStop.java
	(TabStop): Implements java.io.Serializable.
	(TabStop): Made public.

	2004-09-04  Graydon Hoare  <graydon@redhat.com>

	* javax/swing/text/SimpleAttributeSet.java: New file.
	* javax/swing/text/StyleConstants.java: New file.
	* javax/swing/text/StyleContext.java: New file.
	* javax/swing/text/TabSet.java: New file.
	* javax/swing/text/TabStop.java: New file.
	* javax/swing/text/AbstactDocument.java:
	(AbstractElement): Implement attribute support.
	* javax/swing/text/AttributeSet.java
	(NameAttribute): New static field.
	(ResolveAttribute): New static field.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JComponent.java
	(setUI): Fire PropertyChange.
	* javax/swing/JLabel.java
	(text): Renamed from labelText.
	(horizontalAlignment): New default vlaue.
	(icon): Renamed from activeIcon.
	(displayedMnemonic): Renamed from mnemonicKey, added default value.
	(displayedMnemonicIndex): Renamed from underlineChar.
	(setDisplayedMnemonic): Reimplemented.
	* javax/swing/JRadioButton.java
	(JRadioButton): New constructors.
	* javax/swing/JTextField.java
	(JTextField): Throw exception if colums < 0, initialitialz
	this.columns directly and initialize document with text 
	conditionally.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicFormattedTextFieldUI.java,
	javax/swing/plaf/basic/BasicPasswordFieldUI.java,
	javax/swing/plaf/basic/BasicTextAreaUI.java: New files.
	* javax/swing/text/FieldView.java
	(paint): Just call super method for now.

	2004-09-04  Michael Koch  <konqueror@gmx.de>

	* javax/swing/TransferHandler.java,
	javax/swing/plaf/basic/ComboPopup.java: New files

	2004-09-04  Roman Kennke  <roman@ontographics.com>

	* javax/swing/text/Utilities.java: New file.
	
2004-09-12  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Fixed a typo for SO_RCVTIMEO.

	* configure: Regenerated.

2004-09-12  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/DefaultListSelectionModel.java:
        Resynced with GNU Classpath.

	2004-08-31  Michael Koch  <konqueror@gmx.de>

        * javax/swing/DefaultListSelectionModel.java
        (fireValueChanged): Renamed from fireSelectionValueChanged,
        made protected.

2004-09-12  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/VMFile.java:
	Resynced with GNU Classpath.

	2004-08-31  Michael Koch  <konqueror@gmx.de>

        * vm/reference/java/io/VMFile.java:
        Reindented.

2004-09-12  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/VMTimeZone.java:
	New file, taken from GNU Classpath.

	* include/Makefile.am: Generate header for VMTimeZone.

	* include/Makefile.in: Regenerated.

	* libraries/clib/native/System.c (getenv0): 
	Fixed prototype.

	* libraries/clib/native/TimeZone.c: Changed to VMTimeZone
	prototype.

	* libraries/javalib/Klasses.jar.bootstrap: Regenerated.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/bootstrap.classlist:
	Added VMTimeZone and other necessary files for kjc's
	bootstrap.

	* libraries/javalib/java/util/TimeZone.java:
	Resynced with GNU Classpath.

	2004-08-29  Mark Wielaard  <mark@klomp.org>

        * java/util/TimeZone.java (defaultZone): Use VMTimeZone.
        (getDefaultTimeZone): Make package private. Check that GMToffset
        contains at least one digit.
        (getDefaultTimeZoneId, readTimeZoneFile, readtzFile): (Re)Moved to
        VMTimeZone.
        * vm/reference/java/util/VMTimeZone.java: New file with above methods.

	2004-08-28  Mark Wielaard  <mark@klomp.org>

        * java/util/TimeZone.java (defaultZone): Try a couple of ways to get
        a TimeZoneId string and then try to convert that to a TimeZone with
        getDefaultSystemTimeZone(String).
        (timezones0): Changed type from Hashtable to HashMap.
        (timezones): Create HashMap, not Hashtable.
        (getDefaultTimeZone): New method, rewritten from CNI version.
        (readTimeZoneFile): New method.
        (readtzFile): Likewise.
        (skipFully): Likewise.

2004-09-11  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/powerpc/darwin/md.h
	config/i386/darwin/md.h
	(STACK_STRUCT):  Fixed macro name (was STACK_T)

2004-09-11  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/m68k/openbsd2/md.h: Fixed another typo in sysdepCallMethod.

2004-09-11  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/m68k/openbsd2/md.h: Fixed a typo in sysdepCallMethod.

2004-09-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/System.java (getenv): Implemented
	by adapting the implementation from GNU Classpath.
	(getenv0): New native method.

	* libraries/clib/native/System.c (java_lang_System_getenv0): 
	New method. Adapted from GNU Classpath.

	2004-08-28  Mark Wielaard  <mark@klomp.org>

        * java/lang/System.java (getenv): Do security checks and call
        VMSystem.getenv().
        * vm/reference/java/lang/VMSystem.java (getenv): New static native
        method.
        * native/jni/java-lang/java_lang_VMSystem.c (getenv): New function.

2004-09-09  Noa Resare  <noa@resare.com>

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c:
	(jthreadedRecvfrom) fixed timeout handling

2004-09-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/rebuildLib.in: Increased memory available 
	to kjc to 512M. That should prevent it from running out of memory
	on class library builds.

	Reported by: Riccardo Mottola <rmottola@users.sf.net>

2004-09-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/AWTKeyStroke.java 
	(KeyStrokeConstructor, KeycodeInitializer): New internal classes
	to work around KJC problems.

	(AWTKeyStroke, registerSubclass): Use the new internal classes.

2004-09-09  Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>

	* libraries/javalib/javax/swing/AbstractButton.java,
	libraries/javalib/javax/swing/JDesktopPane.java:
	Explicitely identify inner classes to work around KJC problems.

	Reported by: Riccardo Mottola <rmottola@users.sf.net>,
	             Gustavo Guillermo Perez <gustavo@compunauta.com>

2004-09-09  Guilhem Lavaux <guilhem@kaffe.org>

	* config/i386/darwin/md.h, config/powerpc/darwin/md.h
	(SIGNAL_ARGS, SIGNAL_CONTEXT_POINTER, GET_SIGNAL_CONTEXT_POINTER,
	SIGNAL_PC, STACK_POINTER): Updated to avoid siginfo_t.

	Original patch from Michael Franz <mvfranz@gmail.com>.
	
2004-09-06  Dalibor Topic  <robilad@kaffe.org>

        * m4/gwqt.m4:
	Updated to autoqt 0.03. It can now find the qt installation
	directory automatically on Debian.

	Reported by: Laszlo 'GCS' Boszormenyi <gcs@lsc.hu>

        * Makefile.in,
        config/Makefile.in,
        configure,
        include/Makefile.in,
        kaffe/Makefile.in,
        kaffe/jvmpi/Makefile.in,
        kaffe/kaffe/Makefile.in,
        kaffe/kaffeh/Makefile.in,
        kaffe/kaffevm/Makefile.in,
        kaffe/kaffevm/boehm-gc/Makefile.in,
        kaffe/kaffevm/gcj/Makefile.in,
        kaffe/kaffevm/intrp/Makefile.in,
        kaffe/kaffevm/jit/Makefile.in,
        kaffe/kaffevm/jit3/Makefile.in,
        kaffe/kaffevm/jni/Makefile.in,
        kaffe/kaffevm/kaffe-gc/Makefile.in,
        kaffe/kaffevm/systems/Makefile.in,
        kaffe/kaffevm/systems/beos-native/Makefile.in,
        kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
        kaffe/kaffevm/verifier/Makefile.in,
        kaffe/man/Makefile.in,
        kaffe/scripts/Makefile.in,
        kaffe/scripts/bat/Makefile.in,
        kaffe/scripts/compat/Makefile.in,
        kaffe/xprof/Makefile.in,
        libraries/Makefile.in,
        libraries/clib/Makefile.in,
        libraries/clib/awt/Makefile.in,
        libraries/clib/awt/X/Makefile.in,
        libraries/clib/awt/classpath-gtk/Makefile.in,
        libraries/clib/awt/classpath-gtk/classpath/Makefile.in,
        libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
        libraries/clib/awt/classpath-gtk/resource/Makefile.in,
        libraries/clib/awt/qt/Makefile.in,
        libraries/clib/io/Makefile.in,
        libraries/clib/libxmlj/Makefile.in,
        libraries/clib/management/Makefile.in,
        libraries/clib/math/Makefile.in,
        libraries/clib/native/Makefile.in,
        libraries/clib/net/Makefile.in,
        libraries/clib/nio/Makefile.in,
        libraries/clib/security/Makefile.in,
        libraries/clib/sound/Makefile.in,
        libraries/clib/sound/alsa/Makefile.in,
        libraries/clib/sound/common/Makefile.in,
        libraries/clib/sound/esd/Makefile.in,
        libraries/clib/zip/Makefile.in,
        libraries/extensions/Makefile.in,
        libraries/extensions/comm/Makefile.in,
        libraries/extensions/comm/javalib/Makefile.in,
        libraries/extensions/microsoft/Makefile.in,
        libraries/extensions/microsoft/clib/Makefile.in,
        libraries/extensions/microsoft/javalib/Makefile.in,
        libraries/extensions/pjava/Makefile.in,
        libraries/extensions/pjava/javalib/Makefile.in,
        libraries/extensions/servlet/Makefile.in,
        libraries/extensions/servlet/javalib/Makefile.in,
        libraries/javalib/Makefile.in,
        libraries/javalib/awt-implementations/Makefile.in,
        libraries/javalib/awt-implementations/kaffe/Makefile.in,
        libraries/javalib/gmp-math/Makefile.in,
        replace/Makefile.in,
        test/Makefile.in,
        test/internal/Makefile.in,
        test/jni/Makefile.in,
        test/regression/Makefile.in,
        test/regression/compile_time/Makefile.in,
        test/regression/compiler/Makefile.in,
        test/regression/run_time/Makefile.in,
        tools/Makefile.in,
        tools/gjdoc/Makefile.in,
        tools/gjdoc/javalib/Makefile.in:
	Regenerated.

2004-09-06  Dalibor Topic  <robilad@kaffe.org>

        * configure.ac:
	Do not build the X and QT AWT backends by default.

        * libraries/javalib/Makefile.am.in:
	Do not build peerless AWT class library unless
	a peerless AWT backend is chosen.

        * configure,
        libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in:
	Regenerated.

2004-09-05  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffeh/support.c:
	(S_ISDIR) Removed. Already defined in included 
	header config-io.h.

2004-09-05  jrandom <jrandom@i2p.net>

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c
	(handleIO) Declare local variables before use.

	Reported by: Kiyo Inaba <inaba@src.ricoh.co.jp>

2004-09-05  Dalibor Topic  <robilad@kaffe.org>

	 * kaffe/kaffevm/baseClasses.c:
	(getStringClass) New function.

	* kaffe/kaffevm/baseClasses.h:
	(getStringClass) Added prototype.

	* kaffe/kaffevm/classMethod.c:
	(refAdded) New local variable to clarify the code.

	* kaffe/kaffevm/gcFuncs.c,
	kaffe/kaffevm/string.c:
	Use getStringClass instead of accessing the StringClass
	directly. This fixes a crash in the verifier with gcjx
	compiled class library.

2004-09-04  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c:
	Include kaffe/jni_md.h to fix build on netbsd.

	Reported by: Kiyo Inaba <inaba@src.ricoh.co.jp>

2004-09-03  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c
	Use gc_get_heap_base und gc_get_heap_range.

	* kaffe/kaffevm/kaffe-gc/gc-incremental.h:
	(gc_heap_base, gc_heap_range) Removed prototypes.

	* kaffe/kaffevm/kaffe-gc/gc-mem.c:
	(gc_heap_base, gc_heap_range) Made static.
	(gc_get_heap_base, gc_get_heap_range) New functions.

	* kaffe/kaffevm/kaffe-gc/gc-mem.h:
	(gc_get_heap_base, gc_get_heap_range) Added prototypes.

	Reported by: Michael Franz <developer.franz@verizon.net>
	
2004-09-03  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.h: (gc_heap_limit) Removed.
	(gc_get_heap_limit) Added prototype.

	* kaffe/kaffevm/kaffe-gc/gc-mem.c (gc_get_heap_limit): New function.
	(gc_heap_limit) Made static.

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c (gcGetHeapLimit,gcMan): 
	Use gc_get_heap_limit().

	Reported by: Michael Franz <developer.franz@verizon.net>
	
2004-09-03  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c: Use gc_get_heap_total.

	* kaffe/kaffevm/kaffe-gc/gc-mem.h: (gc_heap_total) Removed.
	(gc_get_heap_total) Added.

	* kaffe/kaffevm/kaffe-gc/gc-mem.c (gc_get_heap_total): 
	New function.

	Reported by: Michael Franz <developer.franz@verizon.net>

2004-09-03  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.c: (gc_pgbits) 
	Made static.

	* kaffe/kaffevm/kaffe-gc/gc-mem.h: (gc_pgbits) Removed.

	Reported by: Michael Franz <developer.franz@verizon.net>

2004-09-03  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c, 
	kaffe/kaffevm/kaffe-gc/gc-mem.c: 
	Use gc_mem2block instead of GCMEM2BLOCK.
	(gc_mem2block) New function.

	* kaffe/kaffevm/kaffe-gc/gc-mem.h: (GCMEM2BLOCK) Removed.

2004-09-01  Kiyo Inaba <inaba@src.ricoh.co.jp>

	* config/m68k/jit-m68k.def,
	config/m68k/jit3-m68k.def: Unification of jit-m68k.def and
	jit3-m68k.def, step 1.

2004-09-01	jrandom <jrandom@i2p.net>

	* kaffe/libraries/clib/zip/Inflater.c: 
	(inflate0): Check for memory allocation error.
	(init): Likewise.
	
	* kaffe/libraries/clib/zip/Deflater.c: 
	(deflate): Likewise.
	(init): Likewise.

2004-09-01  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.h (ASSERT_ONBLOCK): 
	Removed.
	
	* kaffe/kaffevm/kaffe-gc/gc-mem.c (ASSERT_ONBLOCK): 
	Moved over here.

2004-09-01  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.h (KGC_OBJECT_SIZE): 
	Removed.
	
	* kaffe/kaffevm/kaffe-gc/gc-mem.c (KGC_OBJECT_SIZE): 
	Moved over here.

2004-09-01  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.h: 
	(ROUNDUPPAGESIZE, GCBLOCK2BASE, gc_pgsize)
	Removed.
	
	* kaffe/kaffevm/kaffe-gc/gc-mem.c: 
	(ROUNDUPPAGESIZE, GCBLOCK2BASE) Moved here.
	(gc_pgsize) Made static.

	Reported by: Michael Franz <developer.franz@verizon.net>

2004-08-31	jrandom <jrandom@i2p.net>

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c:
	(handleInterrupt): Dump the threads on SIGUSR2.
	(dumpJavaThreadLocal): Added.
	(dumpThreadsLocal): Added.
	(handleIO): Avoid a hang by limiting the maximum wait.

	* kaffe/kaffevm/systems/unix-jthreads/signal.c:
	(registerAsyncSignalHandler): accept SIGUSR2

2004-08-31	jrandom <jrandom@i2p.net>

	* kaffe/kaffevm/systems/unix-jthreads/signal.c:
	(nullException): Removed obsolete Kaffe-GC dependency on FreeBSD.

2004-08-31  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/locks.c
	(getHeavyLock): Marked "*lkp" as volatile. Use LOCKFREE instead of 0
	for clarity.
	(slowLockMutex, locks_internal_waitCond): Cast explicitly 0 to jlong.

2004-08-31  Dalibor Topic  <robilad@kaffe.org>

	Fix for static builds on netbsd.

	* configure.ac: disable -Wuninitialized.

	* configure: Regenerated.

	Reported by: Kiyo Inaba  <inaba@src.ricoh.co.jp>,
		     Guilhem Lavaux  <guilhem@kaffe.org>,
		     Riccardo Mottola <rmottola@users.sf.net>

2004-08-31  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.c: 
	(gc_heap_initial_size) Made static.

	Reported by: Michael Franz <developer.franz@verizon.net>

2004-08-31  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-mem.h: 
	(gc_heap_allocation_size) Removed declaration.
	
	* kaffe/kaffevm/kaffe-gc/gc-mem.c: 
	(gc_heap_allocation_size) Made static.

	Reported by: Michael Franz <developer.franz@verizon.net>

2004-08-31  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c:
	(gcStats) Moved over here and made static.
	(garbageman) Made static.

	* kaffe/kaffevm/kaffe-gc/gc-incremental.h:
	(gcStats) Removed.

	* kaffe/kaffevm/kaffe-gc/gc-mem.c
	(garbageman) Removed declaration.

	Reported by: Michael Franz <developer.franz@verizon.net>

2004-08-31  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c
	(gcRunning): Default value set to -1.
	(gcInvokeGC): Wait for gcRunning to be 0 before starting
	the real work.

	* kaffe/kaffevm/kaffe-gc/gc-mem.c
	(gc_heap_check): Check the full integrity of the primitive block
	list.
	(gc_primitive_free): Separated the initialization of blk from the
	the if condition. Check that the block is actually being used.
	(gc_block_alloc): Update primitive block list if realloc gives a
	different pointer.
	(gc_heap_grow): Always set gc_last_block to blk. Fake a used block
	for gc_primitive_free.
	Various new assertion checkings and codestyle cleanups.
	
2004-08-30  Dalibor Topic  <robilad@kaffe.org>

	* config/i386/linux/md.c: Added missing md.h include.

2004-08-30  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/gcj/gcj-soft.cc: Removed prototype 
	for soft_vmultianewarray.

	* kaffe/kaffevm/soft.h: Added prototype for soft_vmultianewarray.

2004-08-30  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/gc.c: Include jmalloc.h to fix compiler warnings.

2004-08-30  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c: 
	(stat_act, stat_susp, stat_block) Only define if debugging is enabled.

2004-08-29  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c (tDumpList): 
	Only define if debugging is enabled.

2004-08-29  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c (dump_signal_handler): 
	Made static.

2004-08-29  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit3/machine.c (findFakeCall): 
	Only define if HAVE_branch_and_link is defined.

2004-08-29  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit3/machine.c (findFakeCall): 
	Made static.
	
2004-08-29  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/Arrays.java:
	Resynced with GNU Classpath.

	2004-08-27  Mark Wielaard  <mark@klomp.org>

        * java/util/Arrays.java
        (sort(byte[], int, int)): Check fromIndex < 0.
        (sort(char[], int, int)): Likewise.
        (sort(short[], int, int)): Likewise.
        (sort(int[], int, int)): Likewise.
        (sort(long[], int, int)): Likewise.
        (sort(float[], int, int)): Likewise.
        (sort(double[], int, int)): Likewise.
        (sort(Object[], int, int, Comparator)): Likewise.
        (qsort(byte[], int, int)): Honor lower bound from in insertion sort.
        (qsort(char[], int, int)): Honor lower bound from in insertion sort.
        (qsort(short[], int, int)): Honor lower bound from in insertion sort.
        (qsort(int[], int, int)): Honor lower bound from in insertion sort.
        (qsort(long[], int, int)): Honor lower bound from in insertion sort.
        (qsort(float[], int, int)): Honor lower bound from in insertion sort.
        (qsort(double[], int, int)): Honor lower bound from in insertion sort.

2004-08-29  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/RenderingHints.java:
	Resynced with GNU Classpath.

	2004-08-27  David Gilbert  <david.gilbert@object-refinery.com>

        * java/awt/RenderingHints.java: Documented.
        (RenderingHints): Accept null init Map.
        (putAll): Preprocess map to generate appropriate exceptions.
        (remove): Cast object to Key and remove from hintMap.

2004-08-29  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/geom/Area.java:
	Resynced with GNU Classpath.

	2004-08-27  Sven de Marothy  <sven@physto.se>

        * java/awt/geom/Area.java
        Implemented.

2004-08-28  Alexander Boettcher  <ab764283@os.inf.tu-dresden.de>

	* kaffe/kaffevm/debug.c
	(kaffe_dprintf): Use KWRITE instead of write.

2004-08-27  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/support.c: moved libffi related stuff ...

	* config/sysdepCallMethod-ffi.h: ... into this new file

	* kaffe/kaffevm/intrp/methodcalls.c, kaffe/kaffevm/jit/methodcalls.c:
	include sysdepCallMethod-ffi.h if HAVE_LIBFFI is defined

	* config/Makefile.am (noinst_HEADERS): added sysdepCallMethod-ffi.h

	* config/Makefile.in: regenerated 

2004-08-27  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Moved AC_CONFIG_SUBDIRS to make configure
	generate the "boehm" directory in any cases.

	* kaffe/kaffevm/boehm-gc/Makefile.am: Removed EXTRA_DIST.

	* libraries/javalib/Makefile.am.in: Added "com" to EXTRA_DIST.

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in,
	configure, kaffe/kaffevm/boehm-gc/Makefile.in: Regenerated.

	* kaffe/kaffevm/kaffe-gc/gc-refs.c,
	kaffe/kaffevm/kaffe-gc/gc-refs.h
	(KaffeGC_rmRef): Changed prototype to fix a warning.
	
	* kaffe/kaffevm/kaffe-gc/gc-incremental.c
	(gcman, finman, gc_lock): Initialize explicitly.
	(gcmaned, finmanend): New static locks.
	(markObjectDontCheck): Changed prototype to fix a warning.
	(KaffeGC_WalkConservative): Fixed various warnings.
	(gcGetObjectBase): Added a mutex lock to protect the read access
	to the pointer list.
	(gcMan): Fixed mutex locking logic and some warnings.
	(finaliserMan): Fixed mutex locking logic.
	(gcInvokeGC): Likewise.
	(gcInvokeFinalizer): Likewise.
	(objectSizesAdd): Fixes a warning.
	(gcGetName): New function to report GC name.
	(KGC_Ops): Updated.

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c
	(jthread_create): Fixed a potential warning.
	
2004-08-26  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit3/constpool.c (printConstant): 
	Only define if debugging is enabled. For real, this time.

	* kaffe/kaffevm/jit3/machine.c (translate): 
	Only declare i if debugging is enabled.
	
2004-08-26  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/jit3/constpool.c (printConstant): 
	Only define if debugging is enabled.

2004-08-26  Guilhem Lavaux <guilhem@kaffe.org>

	* config/sparc/sysdepCallMethod.h:
	Cast correctly the return argument to the right type.

2004-08-26  Guilhem Lavaux <guilhem@kaffe.org>

	* test/regression/compiler/InnerTest1_A.java,
	test/regression/compiler/InnerTest1_B.java:
	New test for KJC.

	* test/regression/compiler/Makefile.am: Added new tests to the
	suite.

	* test/regression/compiler/Makefile.in: Regenerated.

2004-08-26  Guilhem Lavaux <guilhem@kaffe.org>

	* kaffe/kaffevm/jit/icode.c
	(softcall_abstractmethod): Build a call to soft_abstractmethod.

2004-08-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/geom/Arc2D.java,
	libraries/javalib/java/awt/geom/Ellipse2D.java,
	libraries/javalib/java/awt/geom/Line2D.java:
	Resynced with GNU Classpath.

	2004-08-25  Mark Wielaard  <mark@klomp.org>

        * java/awt/geom/Arc2D.java (ArcIterator): Make package private.

	2004-08-25  Sven de Marothy <sven@physto.se>

        * java/awt/geom/Arc2D.java
        Reformatted.
        setArc(): Correct documentation to say 'upper left corner'.
        (setArcByTangent,contains,intersects): Implemented.
        (containsAngle): Corrected to handle negative extents.
        ArcIterator: Set to private.
        ArcIterator: Corrected for CHORD-type arcs, negative extents.
        * java/awt/geom/Ellipse2D.java
        Documented.
        (contains,intersects): Implemented.
        * java/awt/geom/Line2D.java
        (linesIntersect): Correct handling of special cases.

2004-08-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/Label.java,
	libraries/javalib/java/awt/Canvas.java,
	libraries/javalib/java/awt/KeyboardFocusManager.java:
	Resynced with GNU Classpath.

	2004-08-24  Andrew John Hughes <gnu_andrew@member.fsf.org>

        * java/awt/Label.java, java/awt/Canvas.java
        Added accessibility classes to AWT Label and Canvas,
        as well as additional documentation for Canvas.

	2004-08-24  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * java/awt/KeyboardFocusManager.java
        Added missing documentation.

2004-08-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/cert/X509CRLSelector.java:
	Resynced with GNU Classpath.

	2004-08-22  Casey Marshall  <csm@gnu.org>

        * java/security/cert/X509CRLSelector.java
        (match): remove unreachable try-catch clauses.
        Reported by: Dalibor Topic <robilad@kaffe.org>

2004-08-25  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Cleaned up checks for glibc version further.
	Moved boehm-gc checking code after header checking code to
	make sure the glibc version checks can use feature.h, if 
	it is available.

	Reported by: Kiyo Inaba  <inaba@src.ricoh.co.jp>

2004-08-25  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Fixed small bug in libc version test.

	Reported by: Luca Saiu <positron@gnu.org>

2004-08-24  Guilhem Lavaux <guilhem@kaffe.org>

	* configure.ac: Configure boehm subdir. Append
	--enable-libgc-convenience to configure arguments.

	* developers/autogen.sh: Regenerated kaffe/kaffevm/boehm-gc/boehm
	too.

	* kaffe/kaffevm/boehm-gc/Makefile.am: Use boehm/libgc.la instead
	of specifying all source files.
	
	* kaffe/kaffevm/boehm-gc/gc-kaffe.c
	(GC_kaffe_init): Use GC_new_free_list and set the secondary
	argument to 0.

	* kaffe/kaffevm/boehm-gc/gc2.c,
	kaffe/kaffevm/boehm-gc/gc2.h: Added a magic number to allocated
	block to check the accuracy of the allocator.

	* kaffe/kaffevm/boehm-gc/boehm/Makefile.am: Added convenience
	  support.

	* kaffe/kaffevm/boehm-gc/boehm/Makefile.direct,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.dj,
	kaffe/kaffevm/boehm-gc/boehm/NT_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/NT_STATIC_THREADS_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/README.QUICK,
	kaffe/kaffevm/boehm-gc/boehm/alpha_mach_dep.S
	kaffe/kaffevm/boehm-gc/boehm/config.guess
	kaffe/kaffevm/boehm-gc/boehm/config.sub
	kaffe/kaffevm/boehm-gc/boehm/configure
	kaffe/kaffevm/boehm-gc/boehm/configure.in
	kaffe/kaffevm/boehm-gc/boehm/install-sh
	kaffe/kaffevm/boehm-gc/boehm/libtool.m4
	kaffe/kaffevm/boehm-gc/boehm/ltmain.sh
	kaffe/kaffevm/boehm-gc/boehm/mips_sgi_mach_dep.s
	kaffe/kaffevm/boehm-gc/boehm/missing
	kaffe/kaffevm/boehm-gc/boehm/mkinstalldirs
	kaffe/kaffevm/boehm-gc/boehm/pthread_stop_world.c
	kaffe/kaffevm/boehm-gc/boehm/doc/Makefile.am
	kaffe/kaffevm/boehm-gc/boehm/doc/gc.man:
	Updated files. We match gc6.3 exactly now. The upgrading process
	is just a "copy file".
	
	* kaffe/kaffevm/boehm-gc/boehm/configure.ac: Upgraded boehm-gc's
	configure to autoconf 2.59.

	* configure, kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/configure,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/doc/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/include/Makefile.in,

	* kaffe/kaffevm/thread.c
	(initNativeThread): The stack size may be equal to the one we want.
	
2004-08-24  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Check for semaphore.h.

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h: 
	Only include semaphore.h if it is defined.

	Reported by: Riccardo Mottola <rmottola@users.sf.net>
	
2004-08-23  Dalibor Topic  <robilad@kaffe.org>

	Fixed debian bug #159162

	* configure.ac: Added support for large files.

	* configure: Regenerated.

	Reported by: Matthew Toseland <mtoseland@blueyonder.co.uk>

2004-08-23  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am: Fixed JNI header generation 
	with precompiled rt.jar.

	* include/Makefile.in: Regenerated.
	
	Reported by: Ito Kazumitsu <kaz@maczuka.gcd.org>

2004-08-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/inet/nntp/NNTPConnection.java:
	Resynced with GNU inetlib.
	
2004-08-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/cert/X509CRLSelector.java (match): 
	Removed unnecessary throws clauses.

2004-08-22  Dalibor Topic  <robilad@kaffe.org>

        * libraries/javalib/java/security/cert/X509CRLSelector.java,
        libraries/javalib/java/security/cert/X509CertSelector.java:
	New files. Taken from GNU Classpath.

        * libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        libraries/javalib/all.files:
	Regenerated.

        * libraries/javalib/java/security/AccessController.java,
        libraries/javalib/java/security/VMAccessController.java:
	Resynced with GNU Classpath.

	2004-08-21  Casey Marshall  <csm@gnu.org>

        * java/security/AccessController.java
        Removed FIXME comment.
        (doPriviliged(PrivilegedAction)): push and pop a null context.
        (doPrivileged(PrivilegedExceptionAction)): likewise.
        (doPrivileged(PrivilegedAction,AccessControlContext)): only pass
        the context to `VMAccessController.pushContext'.
        (doPrivileged(PrivilegedExceptionAction,AccessControlContext)):
        likewise.
        * vm/reference/java/security/VMAccessController.java
        (contexts): use a ThreadLocal for this field.
        (pushContext): only take the context as parameter; insert it
        into a thread local stack.
        (popContext): take no arguments. Handle new form of `contexts'
        stack.
        (getContext): set `inGetContext' as early as possible.
        Include the call just prior to `doPrivileged' too.
        Handle new form of `contexts' stack.

	2004-08-20  Casey Marshall  <csm@gnu.org>

        * java/security/cert/X509CRLSelector.java: new file.
        * java/security/cert/X509CertSelector.java: new file.

2004-08-22  Dalibor Topic  <robilad@kaffe.org>

	* config/x86_64/sysdepCallMethod.h:
        Add missing include.

2004-08-22  Dalibor Topic  <robilad@kaffe.org>

	* config/ia64/sysdepCallMethod.h,
	config/s390/sysdepCallMethod.h:
	Added missing includes.

2004-08-22  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/jit/icode.c
	(move_float_const_bits): Removed. Unused.
	(set_label): Cleaned up. The change was unnecessary.

2004-08-22  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/sparc/jit-icode.h, config/i386/jit-icode.h,
	config/alpha/jit-icode.h, config/arm/jit-icode.h,
	config/m68k/jit-icode.h
	(HAVE_cvt_double_int_ieee, HAVE_cvt_float_int_ieee): New define
	symbols.

	* kaffe/kaffevm/jit/icode.c
	(cvt_double_int): New JIT codelet to use non Java-compatible
	floating point to integer converting instruction.
	(cvt_float_int): New JIT codelet to use non Java-compatible
	floating point to integer converting instruction.

	* test/internal/TypeConversion.java: Check for NaN (float or
	double) to int conversion.

	* test/internal/jitBasic.c: Fixed a memory overreading.
	
2004-08-21  Dalibor Topic  <robilad@kaffe.org>

	* config/powerpc/sysdepCallMethod.h:
	Add missing include.

2004-08-21  Dalibor Topic  <robilad@kaffe.org>

	* config/sparc/common.h:
	Add missing include.

2004-08-21  Dalibor Topic  <robilad@kaffe.org>

	* config/config.alias:
	Recognize armv5b.

2004-08-21  Dalibor Topic  <robilad@kaffe.org>

	Fixed cross-compilation for alpha-linux.

        * config/alpha/sysdepCallMethod.h:
	Include missing file.

      h  * kaffe/kaffevm/jit/methodcalls.c,
        kaffe/kaffevm/jit/methodcalls.h:
	Export soft_fixup_trampoline.

        * replace/ifaddrs_linux.c:
	Fix gcc 3.4.1 errors due to empty default:
	statements.

2004-08-21  Dalibor Topic  <robilad@kaffe.org>

	* m4/glibcver.m4:
	Fixed for cross compilation.

	* configure.ac:
	Adapted check for glibc old threads.

	* configure,
	config/config.h.in:
	Regenerated.

	Reported by: Guilhem Lavaux <guilhem@kaffe.org>

2004-08-19  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/jit3/methodcalls.c, kaffe/kaffevm/jit3/methodcalls.h
	kaffe/kaffevm/jit/methodcalls.c, kaffe/kaffevm/jit/methodcalls.h
	kaffe/kaffevm/intrp/methodcalls.c, kaffe/kaffevm/intrp/methodcalls.h:
	new files

	* kaffe/kaffevm/jit3/Makefile.am, kaffe/kaffevm/jit/Makefile.am,
	kaffe/kaffevm/intrp/Makefile.am: added new files

	* kaffe/kaffevm/jit3/Makefile.in, kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in: regenerated

	* kaffe/kaffevm/classMethod.h: removed METHOD_INDIRECTMETHOD macro,
	use only one definition of METHOD_NATIVECODE for all engines

	* kaffe/kaffevm/classMethod.c (processClass): replace METHOD_INDIRECTMETHOD
	with METHOD_NATIVECODE
	(methodNeedsTrampoline, buildTrampoline): moved to jit/methodcalls.c
	(buildDispatchTable, buildInterfaceDispatchTable, prepareInterface):
	use new engine_buildTrampoline method
	
	* kaffe/kaffevm/jni/jni.c, kaffe/kaffevm/jni/jni-callmethod.c:
	replaced METHOD_INDIRECTMETHOD with METHOD_NATIVECODE

	* kaffe/kaffevm/external.c (error_stub): removed
	(Kaffe_JNI_native, native): return address of native function or NULL,
	don't create wrappers for native functions

	* kaffe/kaffevm/kaffe.def (INVOKEVIRTUAL, INVOKESPECIAL): throw
	AbstractMethodError if necessary

	* kaffe/kaffevm/lookup.c (throwAbstractMethodError): removed
	(findMethodLocal): don't modify METHOD_NATIVECODE when method is abstract

	* kaffe/kaffevm/soft.c (soft_abstractmethod): new method
	(soft_fixup_trampoline): moved into jit/methodcalls.c

	* kaffe/kaffevm/support.c (do_execute_java_method_v, do_execute_java_class_method_v,
	execute_java_constructor_v): replaced METHOD_INDIRECTMETHOD with METHOD_NATIVECODE
	(callMethodA, callMethodV): allocate call.args, call.callsize and call.calltype
	dynamically. Moved engine specific part into new engine_callMethod function.

	* kaffe/kaffevm/intrp/native-wrapper.c (engine_create_wrapper): use
	METHOD_CODE_START to store address of native function

	* kaffe/kaffevm/intrp/icode.h, kaffe/kaffevm/jit/icode.c,
	kaffe/kaffevm/jit3/codeproto.h, kaffe/kaffevm/jit3/icode.c:
	added softcall_abstractmethod

	* kaffe/kaffevm/jit/machine.c, kaffe/kaffevm/jit3/machine.c
	(translate): adapted to changes to external.c

	* include/errors.h (AbstractMethodError): pass String to constructor
	
2004-08-19  Guilhem Lavaux <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c
	(jthreadedAccept): Use HAVE_BROKEN_SO_RCVTIMEO.

2004-08-18  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JTextArea.java,
	libraries/javalib/javax/swing/SpinnerListModel.java,
	libraries/javalib/javax/swing/SpinnerModel.java:
	Resynced with GNU Classpath.

	2004-08-18  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * javax/swing/JTextArea.java
        Implemented insert() method and added additional
        documentation.

	2004-08-18  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * javax/swing/SpinnerListModel.java, javax/swing/SpinnerModel.java
        Implemented SpinnerListModel.  Added documentation to
        SpinnerModel.


2004-08-18  Dalibor Topic  <robilad@kaffe.org>,
	    Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Added a check for broken
	SO_RCVTIMEO.

	* configure,
	config/config.h.in:
	Regenerated.

2004-08-18  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/net/URI.java:
	Resynced with GNU Classpath.

	2004-08-18  Bryce McKinlay  <mckinlay@redhat.com>

        PR libgcj/17081
        * java/net/URI.java (string): New field. Make all other fields
        transient.
        (readObject): Implemented.
        (writeObject): Implemented.
        (URI): Set 'string'.

2004-08-18  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/logging/Handler.java:
	Resynced with GNU Classpath.

	2004-08-18  Bryce McKinlay  <mckinlay@redhat.com>

        PR libgcj/17079
        * java/util/logging/Handler.java (isLoggable): Accept record if its
        log level equals the threshold level. From Robin Green.

2004-08-18  Dalibor Topic  <robilad@kaffe.org>

	* config/Makefile.am:
	(EXTRA_DIST) Added config/m68k/linux/jit3-md.h.

	* config/Makefile.in:
	Regenerated.

2004-08-18  Kiyo Inaba  <inaba@src.ricoh.co.jp>

	* config/m68k/linux/jit3-md.h:
	Make jit3 works for m68k/linux.

2004-08-18  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/AbstractCollection.java,
	libraries/javalib/java/util/AbstractList.java,
	libraries/javalib/java/util/AbstractMap.java,
	libraries/javalib/java/util/AbstractSequentialList.java,
	libraries/javalib/java/util/ArrayList.java,
	libraries/javalib/java/util/AbstractSequentialList.java,
	libraries/javalib/java/util/ArrayList.java,
	libraries/javalib/java/util/Arrays.java,
	libraries/javalib/java/util/BitSet.java,
	libraries/javalib/java/util/Calendar.java,
	libraries/javalib/java/util/Collection.java,
	libraries/javalib/java/util/ListIterator.java,
	librraies/javalib/java/util/Map.java,
	libraries/javalib/java/util/SortedSet.java:
	Resynced with GNU Classpath.

	2004-08-16  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * java/util/AbstractCollection.java, java/util/AbstractList.java,
        java/util/AbstractMap.java, java/util/AbstractSequentialList.java,
        java/util/ArrayList.java, java/util/Arrays.java,
        java/util/BitSet.java, java/util/Calendar.java,
        java/util/Collection.java, java/util/ListIterator.java,
        java/util/Map.java, java/util/SortedSet.java:
        Added additional exceptions to documentation, along
        with some additions and corrections.

2004-08-18  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(SIG_*): Removed and replaced by static variables.
	(sig*): New static variables.
	(tInitSignals): Initialize static variables concerning signal
	number to use.
	(tInitSignalHandlers): Renamed sigaction variables sig* to sa*.
	Fixed a few warnings.
	
2004-08-17  Kiyo Inaba  <inaba@src.ricoh.co.jp>

	* config/m68k/jit3-m68k.def:
	Make kjc works.

2004-08-16  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/m68k/openbsd2/md.h
	(sysdepCallMethod): Imported from netbsd and translated to MIT/GNU as
	syntax.

2004-08-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/text/AttributedString.java:
	Resynced with GNU Classpath.

	2004-08-16  Tom Tromey  <tromey@redhat.com>

        Bug 9949.
        * java/text/AttributedString.java (AttributedString): Use
        ArrayList to build array of attribute ranges.  Don't use
        `attribs' before it is set.

2004-08-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JDesktopPane.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSplitPaneUI.java:
	Resynced with GNU Classpath.

	2004-08-16  Tom Tromey  <tromey@redhat.com>

        Bug 9948.
        * javax/swing/JDesktopPane.java (LIVE_DRAG_MODE): Now final.
        (OUTLINE_DRAG_MODE): LIVE_DRAG_MODE.
        * javax/swing/plaf/basic/BasicSplitPaneUI.java
        (NON_CONTINUOUS_DIVIDER): Now final.  Initialize.

2004-08-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/rmi/server/UID.java:
	Resynced with GNU Classpath.

	2004-08-16  Tom Tromey  <tromey@redhat.com>

        Bug 9944.
        * java/rmi/server/UID.java (UID): Read `nextCount', not count.

2004-08-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/Compiler.java:
	Resynced with GNU Classpath.

	* libraries/javalib/java/lang/VMCompiler.java:
	New file. Taken from GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	2004-08-16  Tom Tromey  <tromey@redhat.com>

        * java/lang/Compiler.java: Rewrote in terms of VMCompiler.
        * vm/reference/java/lang/VMCompiler.java: New file.

2004-08-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/File.java:
	Resynced with GNU Classpath.

	2004-08-16  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/File.java File(String,String): Fixed handling of empty
        path.

2004-08-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/DummyKeyPairGenerator.java,
	libraries/javalib/java/security/DummyMessageDigest.java,
	libraries/javalib/java/security/DummySignature.java,
	libraries/javalib/java/security/MessageDigest.java,
	libraries/javalib/java/security/MessageDigestSpi.java,
	libraries/javalib/java/security/Signature.java,
	libraries/javalib/java/security/SignatureSpi.java,
	libraries/javalib/javax/crypto/MacSpi.java:
	Resynced with GNU Classpath.

	* libraries/javalib/java/security/KeyPairGenerator.java,
	libraries/javalib/java/security/KeyPairGeneratorSpi.java:
	Replaced by implementation from GNU Classpath.

	2004-08-15  Casey Marshall  <csm@gnu.org>

        * java/security/DummyKeyPairGenerator.java (clone): removed
        useless instanceof check.
        * java/security/DummyMessageDigest.java (clone): likewise.
        * java/security/DummySignature.java (clone): likewise.
        * java/security/MessageDigest.java (clone): remove useless
        instanceof check.
        * java/security/MessageDigestSpi.java (clone): likewise.
        * java/security/Signature.java (clone): provide meaningful
        implementation.
        * java/security/SignatureSpi.java (clone): likewise.
        * javax/crypto/MacSpi.java (clone): likewise.

2004-08-15  Dalibor Topic  <robilad@kaffe.org>

        * include/Makefile.am:
	Added new libxmlj includes, and remove no longer needed ones.

        * include/Makefile.in,
        libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        libraries/javalib/all.files:
	Regnerated.

        * libraries/clib/libxmlj/xmlj_dom.c,
        libraries/clib/libxmlj/xmlj_dom.h,
        libraries/clib/libxmlj/xmlj_io.c,
        libraries/clib/libxmlj/xmlj_io.h,
        libraries/clib/libxmlj/xmlj_sax.c,
        libraries/clib/libxmlj/xmlj_transform.c,
        libraries/clib/libxmlj/xmlj_util.c,
        libraries/clib/libxmlj/xmlj_util.h,
        libraries/clib/libxmlj/xmlj_xpath.c,
        libraries/javalib/gnu/xml/aelfred2/SAXDriver.java,
        libraries/javalib/gnu/xml/aelfred2/XmlParser.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocumentBuilder.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeElement.java,
        libraries/javalib/gnu/xml/libxmlj/dom/GnomeXPathExpression.java,
        libraries/javalib/gnu/xml/libxmlj/sax/GnomeLocator.java,
        libraries/javalib/gnu/xml/libxmlj/sax/GnomeXMLReader.java,
        libraries/javalib/gnu/xml/libxmlj/sax/StringArrayAttributes.java,
        libraries/javalib/gnu/xml/libxmlj/sax/XMLName.java,
        libraries/javalib/gnu/xml/libxmlj/transform/GnomeTransformer.java,
        libraries/javalib/gnu/xml/libxmlj/transform/GnomeTransformerFactory.java,
        libraries/javalib/gnu/xml/libxmlj/util/XMLJ.java,
        libraries/javalib/org/w3c/dom/bootstrap/DOMImplementationRegistry.java:
	Resynced with GNU JAXP.

	2004-08-10  Chris Burdess <dog@gnu.org>

        * transform: Fixed imports.

	2004-07-30  Chris Burdess <dog@gnu.org>

        * transform: Added support for DOMSource and DOMResult transforms
            to/from GnomeDocument nodes.

	2004-07-27  Chris Burdess <dog@gnu.org>

        * GnomeElement: getAttribute(NS) returns empty strings instead of
            null.
        * sax: Cached java.lang.String class.

	2004-08-10  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Fixed bug while reading 0x2028. Check
        for document version in external subset.
        	
	2004-08-10  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Convert 0x2028 to '\r' when document is 1.1
        
	2004-08-08  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Report start name characters that are not
        BaseChar. (more of them)
        	
	2004-08-08  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Report start name characters that are not
        BaseChar. 
        	
	2004-08-08  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Report NEL characters as igorable if document
        is 1.1
        
	2004-08-07  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Fixed bug while reading whitespaces in elements
        content.
        
	2004-08-06  Musachy Barroso  <musachy@gmail.com>

        * SAXDriver.java: Check added for missing prefix in namespace 
        declaration attribute.
        
	2004-08-06  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Partial character ref, partial entity 
        references checks, moved to parseEntity(...)
        
	2004-08-06  Musachy Barroso  <musachy@gmail.com>

        * SAXDriver.java: Checks added for colon in entities, PI and
        notations. Unbounded prefixes error changed to fatal.
        
	2004-08-05  Musachy Barroso  <musachy@gmail.com>

        * SAXDriver.java: Fixed bug intruduced with the partial character
        ref, partial entity references checks.
        
	2004-08-05  Musachy Barroso  <musachy@gmail.com>

        * SAXDriver.java: Fixed bug intruduced with the partial character
        ref, partial entity references checks.
        
	2004-08-03  Musachy Barroso  <musachy@gmail.com>

        * SAXDriver.java: Check added for namespaces names containing only
        ':'. 
        
	2004-07-31  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Improved check for partial character references
        and partial entity references in internal entities. 
        
	2004-07-31  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Added check for partial character references
        in internal entities. 
        
	2004-07-29  Musachy Barroso  <musachy@gmail.com>

        * SAXDriver.java: Added checks for invalid use of reserved 
        prefixes and namespaces.

	2004-07-28  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Invalidate character range [0x7f - 0x9f] if the 
        document version is 1.1. 0x85(NEL) is still valid.
         
	2004-07-25  Musachy Barroso  <musachy@gmail.com>

        * XmlParser.java: Fixed end-of-line handling to comply with sec 2.11.

2004-08-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/DummyMessageDigest.java:
	New file. Taken from GNU Classpath.

	* libraries/javalib/java/security/MessageDigest.java,
	libraries/javalib/java/security/SignatureSpi.java:
	Replaced by implementation from GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/gnu/crypto/pki/provider/DSASignature.java:
	Resynced with GNU Crypto.

	2004-08-12  Casey Marshall <csm@gnu.org>

        * source/gnu/crypto/pki/provider/DSASignature.java
        (<init>): initialize `digest' here.
        (init): removed initialization of `digest', and remove unnecessary
        catches.
        Reported by Dalibor Topic <robilad@kaffe.org>

2004-08-15  Mark Wielaard  <mark@klomp.org>

	* libraries/javalib/kaffe/tools/jar/Jar.java
	(createFileLookupTable): Don't double check File.isAbsolute().

2004-08-15  Jeroen Frijters  <jeroen@frijters.net>

	* libraries/javalib/java/io/File.java:
	prevent to accidental forming of a UNC path prefix (\\) by 
	trimming the leading separators from name.

2004-08-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/AbstractSpinnerModel.java,
	libraries/javalib/javax/swing/JSpinner.java,
	libraries/javalib/javax/swing/SpinnerNumberModel.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSpinnerUI.java:
	New files. Taken from GNU Classpath.

	* libraries/javalib/javax/swing/plaf/basic/BasicLookAndFeel.java:
	Resynced with GNU Classpath.

	2004-08-14  Ka-Hing Cheung  <kahing@javabsp.org>

        * javax/swing/AbstractSpinnerModel.java,
        javax/swing/JSpinner.java,
        javax/swing/SpinnerNumberModel.java,
        javax/swing/plaf/basic/BasicSpinnerUI.java:
        New files.
        * javax/swing/plaf/basic/BasicLookAndFeel.java
        (initClassDefaults): Added defaults for BasicSpinnerUI.

2004-08-15  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.am:
	Add gtk_cairo_c_source_files when GTK_CAIRO is set.

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c:
	Resynced with GNU Classpath.

	* configure.ac: Add --enable-gtk-cairo checking (cairo, pangoft2).

	* Makefile.in,
	configure,
	config/Makefile.in,
	include/Makefile.am,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libltdl/configure,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/classpath-gtk/Makefile.in,
	libraries/clib/awt/classpath-gtk/classpath/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/clib/awt/classpath-gtk/resource/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	libraries/javalib/awt-implementations/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/gmp-math/Makefile.in,
	replace/Makefile.in,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in:
	Regenerated.

	2004-08-14  Mark Wielaard  <mark@klomp.org>

        * configure.ac: Add --enable-gtk-cairo checking (cairo, pangoft2).
        * native/jni/gtk-peer/Makefile.am: Add gtk_cairo_c_source_files when
        GTK_CAIRO is set.
        * native/jni/gtk-peer/
        gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.c: Declare variables
        at top of functions/block.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c: Likewise.

2004-08-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/Rectangle.java:
	Resynced with GNU Classpath.

	2004-08-14  Mark Wielaard  <mark@klomp.org>

        * java/lang/Rectangle.java (intersects): Check r.width and r.height
        first.

2004-08-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/nio/CharBuffer.java,
	libraries/javalib/java/nio/DoubleBuffer.java,
	libraries/javalib/java/nio/FloatBuffer.java,
	libraries/javalib/java/nio/IntBuffer.java,
	libraries/javalib/java/nio/LongBuffer.java,
	libraries/javalib/java/nio/ShortBuffer.java:
	Resynced with GNU Classpath.

	2004-08-13  Tom Tromey  <tromey@redhat.com>

        * java/nio/CharBuffer.java (put): Fix typo.
        * java/nio/DoubleBuffer.java (put): Fix typo.
        * java/nio/FloatBuffer.java (put): Fix typo.
        * java/nio/IntBuffer.java (put): Fix typo.
        * java/nio/LongBuffer.java (put): Fix typo.
        * java/nio/ShortBuffer.java (put): Fix typo.

2004-08-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/nio/ByteBuffer.java:
	Resynced with GNU Classpath.

	2004-08-09  Florian Weimer  <fw@deneb.enyo.de>

        * java/nio/ByteBuffer.java (put): Fix typo.

2004-08-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/net/URL.java:
	Resynced with GNU Classpath.

	2004-08-12  Guilhem Lavaux  <guilhem@kaffe.org>

        * java/net/URL.java (URL): Delete whitespaces in the protocol 
	string.

2004-08-14  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.automake:
	Updated to automake 1.9.1.

	* developers/autogen.sh:
	Use automake 1.9.1.

	* Makefile.in,
	aclocal.m4,
	config/Makefile.in,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libltdl/Makefile.in,
	libltdl/aclocal.m4,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/classpath-gtk/Makefile.in,
	libraries/clib/awt/classpath-gtk/classpath/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/clib/awt/classpath-gtk/resource/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/awt-implementations/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/gmp-math/Makefile.in,
	replace/Makefile.in,
	scripts/config.guess,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in:
	Regenerated.

2004-08-13  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/Makefile.am.in: Added iso4217.properties to
	gnu_java_lang_locale_bundles.

	* libaries/javalib/java/util/Currency.java
	(getCurrencyCode): Use gnu/java/lang/locale/iso4217.properties to
	retrieve the currency code for the current country. We only
	retrieve the first currency code.
	(toString, getSymbol): Return the value of getCurrencyCode() now
	instead of intlCurrencySymbol if currencySymbol is not available.

	* libraries/javalib/gnu/java/locale/iso4217.properties: New file.

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	Regenerated.
	
2004-08-13  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.automake:
	Updated to libtool 1.5.8.

	* developers/autogen.sh:
	Check for libtool 1.5.8.

	* developers/patch-libtool-cdpath-zsh.patch:
	Removed.

	* Makefile.am:
	(EXTRA_DIST) Removed developers/patch-libtool-cdpath-zsh.patch.

	* Makefile.in,
	configure:
	Regenerated.

	* libltdl/acinclude.m4,
	libltdl/config.guess,
	libltdl/config.sub,
	libltdl/configure,
	libltdl/install-sh,
	libltdl/ltmain.sh,
	m4/libtool.m4,
	scripts/ltmain.sh:
	Updated to libtool 1.5.8.

2004-08-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/File.java:
	Resynced with GNU Classpath. Cleaned up tests for Windows.

	2004-07-27  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/File.java (dupSeparator): New field. (File(String)):
        Modified to use new normalizePath method. (normalizePath): New method
        merged from libgcj.
        (File(String,String)): Modified to use new normalizePath method.
        (File(File,String)): Modified to forward to File(String,String).
        (File(URI)): New constructor. (getAbsolutePath): Merged from libgcj.
        (getCanonicalPath): New implementation that forwards to VMFile.
        (getParent): Merged from libgcj. (isAbsolute): Merged from libgcj.
        (list(FilenameFilter)): Removed unnecessary path normalization.
        (toURL): Merged from libgcj. (mkdir): Removed unnecessary path
        normalization. (compareTo): Removed incorrect canonicalization.

2004-08-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gthread-jni.c:
	Resynced with GNU Classpath.

	2004-08-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        PR AWT/16121
        * native/jni/gtk-peer/gthread-jni.c: Include stdio.h.  Eliminate
        type-punning compiler warnings using unions.
        (throw): Replace bzero with memset.

2004-08-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gtkpeer.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c:
	Resynced with GNU Classpath.

	2004-08-09  Andreas Tobler  <a.tobler@schweiz.ch>
        	    Thomas Fitzsimmons  <fitzsim@redhat.com>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c: 
	Move NSA_PB macros to gtkpeer.h.  Include gtkpeer.h.
        * native/jni/gtk-peer/gtkpeer.h: Move NSA_PB macros here.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
        (nativeSetIconImageFromDecoder): Use NSA_GET_PB_PTR macro.

2004-08-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JMenuItem.java:
	Resynced with GNU Classpath.

	2004-08-09  Michael Koch  <konqueror@gmx.de>

        * javax/swing/JMenuItem.java
        (getMenuDragMouseListeners): New method.
        (getMenuKeyListeners): Likewise.

2004-08-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/AbstractButton.java:
	Resynced with GNU Classpath.

	2004-08-09  Michael Koch  <konqueror@gmx.de>

        * javax/swing/AbstractButton.java
        (model): Made protected.
        (actionListener): Likewise.
        (changeListener): Likewise.
        (itemListener): Likewise.
        (multiClickThreshhold): New field.
        (getActionListeners): New method.
        (getChangeListeners): Likewise.
        (getItemListeners): Likewise.
        (fireItemStateChanged): Simplified implementation.
        (fireActionPerformed): Likewise.
        (fireStateChanged): Likewise.
        (getMultiClickThreshhold): New method.
        (setMultiClickThreshhold): Likewise.

2004-08-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics.java,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c:
	Resynced with GNU Classpath

	2004-08-09  Craig Black  <craig.black@aonix.com>
 
        * gnu/java/awt/peer/gtk/GdkGraphics.java 
        (drawImage): Add support for scaling pixmaps.
        * include/gnu_java_awt_peer_gtk_GdkGraphics.h,
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
        (copyAndScalePixmap): New native method.

2004-08-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/inet/http/Cookie.java,
	libraries/javalib/gnu/inet/http/CookieManager.java,
	libraries/javalib/gnu/inet/http/SimpleCookieManager.java:
	New files from GNU inetlib.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/gnu/inet/finger/FingerConnection.java,
	libraries/javalib/gnu/inet/finger/FingerURLConnection.java,
	libraries/javalib/gnu/inet/finger/Handler.java,
	libraries/javalib/gnu/inet/ftp/ActiveModeDTP.java,
	libraries/javalib/gnu/inet/ftp/BlockInputStream.java,
	libraries/javalib/gnu/inet/ftp/BlockOutputStream.java,
	libraries/javalib/gnu/inet/ftp/CompressedInputStream.java,
	libraries/javalib/gnu/inet/ftp/CompressedOutputStream.java,
	libraries/javalib/gnu/inet/ftp/DTP.java,
	libraries/javalib/gnu/inet/ftp/DTPInputStream.java,
	libraries/javalib/gnu/inet/ftp/DTPOutputStream.java,
	libraries/javalib/gnu/inet/ftp/FTPConnection.java,
	libraries/javalib/gnu/inet/ftp/FTPException.java,
	libraries/javalib/gnu/inet/ftp/FTPResponse.java,
	libraries/javalib/gnu/inet/ftp/FTPURLConnection.java,
	libraries/javalib/gnu/inet/ftp/Handler.java,
	libraries/javalib/gnu/inet/ftp/PassiveModeDTP.java,
	libraries/javalib/gnu/inet/ftp/StreamInputStream.java,
	libraries/javalib/gnu/inet/ftp/StreamOutputStream.java,
	libraries/javalib/gnu/inet/gopher/DirectoryEntry.java,
	libraries/javalib/gnu/inet/gopher/DirectoryListing.java,
	libraries/javalib/gnu/inet/gopher/GopherConnection.java,
	libraries/javalib/gnu/inet/gopher/GopherContentHandler.java,
	libraries/javalib/gnu/inet/gopher/GopherURLConnection.java,
	libraries/javalib/gnu/inet/gopher/Handler.java,
	libraries/javalib/gnu/inet/http/Authenticator.java,
	libraries/javalib/gnu/inet/http/ByteArrayRequestBodyWriter.java,
	libraries/javalib/gnu/inet/http/ByteArrayResponseBodyReader.java,
	libraries/javalib/gnu/inet/http/ChunkedInputStream.java,
	libraries/javalib/gnu/inet/http/Credentials.java,
	libraries/javalib/gnu/inet/http/HTTPConnection.java,
	libraries/javalib/gnu/inet/http/HTTPDateFormat.java,
	libraries/javalib/gnu/inet/http/HTTPURLConnection.java,
	libraries/javalib/gnu/inet/http/Handler.java,
	libraries/javalib/gnu/inet/http/Headers.java,
	libraries/javalib/gnu/inet/http/Request.java,
	libraries/javalib/gnu/inet/http/RequestBodyWriter.java,
	libraries/javalib/gnu/inet/http/Response.java,
	libraries/javalib/gnu/inet/http/ResponseBodyReader.java,
	libraries/javalib/gnu/inet/http/ResponseHeaderHandler.java,
	libraries/javalib/gnu/inet/http/event/ConnectionEvent.java,
	libraries/javalib/gnu/inet/http/event/ConnectionListener.java,
	libraries/javalib/gnu/inet/http/event/RequestEvent.java,
	libraries/javalib/gnu/inet/http/event/RequestListener.java,
	libraries/javalib/gnu/inet/https/Handler.java,
	libraries/javalib/gnu/inet/imap/IMAPConnection.java,
	libraries/javalib/gnu/inet/imap/IMAPConstants.java,
	libraries/javalib/gnu/inet/imap/IMAPException.java,
	libraries/javalib/gnu/inet/imap/IMAPResponse.java,
	libraries/javalib/gnu/inet/imap/IMAPResponseTokenizer.java,
	libraries/javalib/gnu/inet/imap/ListEntry.java,
	libraries/javalib/gnu/inet/imap/MailboxStatus.java,
	libraries/javalib/gnu/inet/imap/MessageStatus.java,
	libraries/javalib/gnu/inet/imap/Pair.java,
	libraries/javalib/gnu/inet/imap/UTF7imap.java,
	libraries/javalib/gnu/inet/nntp/ActiveTime.java,
	libraries/javalib/gnu/inet/nntp/ActiveTimesIterator.java,
	libraries/javalib/gnu/inet/nntp/ArticleNumberIterator.java,
	libraries/javalib/gnu/inet/nntp/ArticleResponse.java,
	libraries/javalib/gnu/inet/nntp/ArticleStream.java,
	libraries/javalib/gnu/inet/nntp/FileNewsrc.java,
	libraries/javalib/gnu/inet/nntp/Group.java,
	libraries/javalib/gnu/inet/nntp/GroupIterator.java,
	libraries/javalib/gnu/inet/nntp/GroupResponse.java,
	libraries/javalib/gnu/inet/nntp/HeaderEntry.java,
	libraries/javalib/gnu/inet/nntp/HeaderIterator.java,
	libraries/javalib/gnu/inet/nntp/LineIterator.java,
	libraries/javalib/gnu/inet/nntp/NNTPConnection.java,
	libraries/javalib/gnu/inet/nntp/NNTPConstants.java,
	libraries/javalib/gnu/inet/nntp/NNTPException.java,
	libraries/javalib/gnu/inet/nntp/Newsrc.java,
	libraries/javalib/gnu/inet/nntp/Overview.java,
	libraries/javalib/gnu/inet/nntp/OverviewIterator.java,
	libraries/javalib/gnu/inet/nntp/Pair.java,
	libraries/javalib/gnu/inet/nntp/PairIterator.java,
	libraries/javalib/gnu/inet/nntp/PendingData.java,
	libraries/javalib/gnu/inet/nntp/PostStream.java,
	libraries/javalib/gnu/inet/nntp/Range.java,
	libraries/javalib/gnu/inet/nntp/StatusResponse.java,
	libraries/javalib/gnu/inet/pop3/POP3Connection.java,
	libraries/javalib/gnu/inet/smtp/Parameter.java,
	libraries/javalib/gnu/inet/smtp/ParameterList.java,
	libraries/javalib/gnu/inet/smtp/SMTPConnection.java,
	libraries/javalib/gnu/inet/util/BASE64.java,
	libraries/javalib/gnu/inet/util/CRLFInputStream.java,
	libraries/javalib/gnu/inet/util/CRLFOutputStream.java,
	libraries/javalib/gnu/inet/util/EmptyX509TrustManager.java,
	libraries/javalib/gnu/inet/util/GetLocalHostAction.java,
	libraries/javalib/gnu/inet/util/GetSystemPropertyAction.java,
	libraries/javalib/gnu/inet/util/LineInputStream.java,
	libraries/javalib/gnu/inet/util/Logger.java,
	libraries/javalib/gnu/inet/util/MessageInputStream.java,
	libraries/javalib/gnu/inet/util/MessageOutputStream.java,
	libraries/javalib/gnu/inet/util/SaslCallbackHandler.java,
	libraries/javalib/gnu/inet/util/SaslInputStream.java,
	libraries/javalib/gnu/inet/util/SaslOutputStream.java,
	libraries/javalib/gnu/inet/util/StderrLogger.java:
	Resynced with GNU inetlib.

	2004-08-07  Chris Burdess  <dog@bluezoo.org>

        * all: Change default timeout values from -1 to 0.

	2004-08-06  Chris Burdess  <dog@bluezoo.org>

        * BASE64.java: Strip padding characters during decode.

	2004-08-01  Chris Burdess  <dog@bluezoo.org>

        * http: Implemented cookies.

	2004-07-31  Chris Burdess  <dog@bluezoo.org>

        * IMAPConnection.java: Implemented UID FETCH and UID STORE.

	2004-07-30  Chris Burdess  <dog@bluezoo.org>

        * all: Implemented connection timeouts.
        * http: Using buffered streams to increase performance.
        * LineInputStream.java: Handle block reads.

	2004-07-28  Chris Burdess  <dog@bluezoo.org>

        * nntp: Corrections to newsrc file handling.

2004-08-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/Button.java:
	Resynced with GNU Classpath.

	2004-08-08  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * java/awt/Button.java (Button()): Use empty string rather than
        null in no-label constructor.

2004-08-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c:
	Resynced with GNU Classpath.

	2004-08-08  Mark Wielaard  <mark@klomp.org>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c:
        #include gdk.h, not gtk.h. #include jni.h, native_state.h, 
	string.h and stdlib.h, not gtkpeer.h.
        (*vm): New static variable.
        (areaPreparedID): Make static.
        (areaUpdatedID): Likewise.
        (area_prepared): Get and use JNIEnv through stored JavaVM *vm.
        (area_prepared): Likewise.
        (area_updated): Likewise.
        (closed): Likewise.
        (initStaticState): Initialize *vm javaVM.
        (pumpBytes): Use given env, not global gdk_env.

2004-08-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/geom/CubicCurve2D.java:
	Resynced with GNU Classpath.

	2004-08-08  Mark Wielaard  <mark@klomp.org>

        * java/awt/geom/CubicCurve2D.java (solveCubic): Removed 
	duplicate comments.

2004-08-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c:
	Resynced with GNU Classpath.

	2004-08-08  Mark Wielaard  <mark@klomp.org>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c: 
	Reindent.

2004-08-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/awt/peer/gtk/GtkFramePeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkImage.java,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c:
	Resynced with GNU Classpath.

	2004-08-08  David Jee  <djee@redhat.com>

        PR AWT/16682
        * gnu/java/awt/peer/gtk/GtkFramePeer.java
        (nativeSetIconImage): Rename to nativeSetIconImageFromDecoder.
        (nativeSetIconImageFromData): New native method declaration.
        (setIconImage): Handle images not produced from 
	GdkPixbufDecoder.
        * gnu/java/awt/peer/gtk/GtkImage.java
        (getPixelCache): New method.
        (getColorModel): New method.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
        (nativeSetIconImage): Rename to nativeSetIconImageFromDecoder.
        (free_pixbuf_data): New helper function.
        (nativeSetIconImageFromData): New function.

2004-08-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/Component.java,
	libraries/javalib/java/awt/Container.java,
	libraries/javalib/javax/swing/RepaintManager.java:
	Resynced with GNU Classpath.

	2004-08-08  Kim Ho  <kho@redhat.com>

        * java/awt/Component.java:
        (processMouseEvent): Consume event after
        listene rs process it.
        (processMouseMotionEvent): ditto.
        (processMouseWheelEvent): ditto.
        * java/awt/Container.java:
        (acquireComponentForMouseEvent):
        Do not dispatch to events that have been
        removed from the Container.
        (handleEvent): Consume the MouseEvents.
        * javax/swing/RepaintManager.java:
        (paintDirtyRegions): Do not add to list of 
        damaged areas if the component has no root.

2004-08-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JLayeredPane.java,
	libraries/javalib/javax/swing/Box.java:
	Resynced with GNU Classpath

	2004-08-08  Graydon Hoare  <graydon@redhat.com>

        PR SWING/16576
        * javax/swing/JLayeredPane.java
        (setLayer): Permit changing layer after addition.
        (setPosition): Permit over-length positions.
        (layerToRange): Compare intValue()s.
        * javax/swing/Box.java (createHorizontalBox): Implement.
        (createRigidArea): Likewise.
        (createVerticalBox): Likewise.

2004-08-09  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/boehm-gc/gc-refs.c: Added missing include
	for ALIGN_BACKWARD.

2004-08-07  Dalibor Topic  <robilad@kaffe.org>

	Resynced with GNU Classpath.
	
	2004-08-06  Tom Tromey  <tromey@redhat.com>

	* java/net/DatagramSocket.java: Fixed typo.

	* java/awt/image/Kernel.java (clone): Use super.clone().

	2004-08-02  Bryce McKinlay  <mckinlay@redhat.com>

	* java/sql/Timestamp.java (valueOf): Synchronize access to dateFormat.

	2004-07-31  Michael Koch  <konqueror@gmx.de>

	* javax/swing/table/DefaultTableColumnModel.java
	(serialVersionUID): Made private.
	(listenerList): Initialize.
	(changeEvent): Initialize.
	* javax/swing/table/JTableHeader.java
	(JTableHeader): New constructors.
	(createDefaultColumnModel): New method.
	* javax/swing/table/TableColumn.java
	(setHeaderRenderer): Simplified code.
	(setCellRenderer): Likewise.
	(setWidth): Likewise.

	2004-07-31  Mark Wielaard  <mark@klomp.org>

	* javax/swing/text/AbstractDocument.java: Reindent.
	* javax/swing/text/AttributeSet.java: Reindent.
	* javax/swing/text/DefaultEditorKit.java: Reindent.
	* javax/swing/text/EditorKit.java: Reindent.
	* javax/swing/text/Position.java: Reindent.
	* javax/swing/text/StyledEditorKit.java: Reindent.
	* javax/swing/text/TextAction.java: Reindent.
	* javax/swing/text/ViewFactory.java: Reindent.

	2004-07-31  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFormattedTextField.java
	(JFormattedTextField): Implemented.
	* javax/swing/text/DefaultEditorKit.java
	(BeepAction): New inner class.
	* javax/swing/text/Segment.java
	(partialReturn): New field.
	(setPartialReturn): New method.
	(isPartialReturn): Likewise.
	* javax/swing/text/View.java
	(createFragment): Fixed typo.
	(getStartOffset): New method.
	(getEndOffset): Likewise.

	2004-07-31  Mark Wielaard  <mark@klomp.org>

	* javax/swing/plaf/basic/BasicArrowButton.java: Reindent.
	* javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java: Reindent.
	* javax/swing/plaf/basic/BasicInternalFrameUI.java: Reindent.
	* javax/swing/plaf/basic/BasicLabelUI.java: Reindent.
	* javax/swing/plaf/basic/BasicListUI.java: Reindent.
	* javax/swing/plaf/basic/BasicMenuItemUI.java: Reindent.
	* javax/swing/plaf/basic/BasicMenuUI.java: Reindent.
	* javax/swing/plaf/basic/BasicOptionPaneUI.java: Reindent.
	* javax/swing/plaf/basic/BasicPopupMenuUI.java: Reindent.
	* javax/swing/plaf/basic/BasicRadioButtonMenuItemUI.java: Reindent.
	* javax/swing/plaf/basic/BasicRootPaneUI.java: Reindent.
	* javax/swing/plaf/basic/BasicScrollBarUI.java: Reindent.
	* javax/swing/plaf/basic/BasicScrollPaneUI.java: Reindent.
	* javax/swing/plaf/basic/BasicSliderUI.java: Reindent.
	* javax/swing/plaf/basic/BasicSplitPaneDivider.java: Reindent.
	* javax/swing/plaf/basic/BasicTabbedPaneUI.java: Reindent.
	* javax/swing/plaf/basic/BasicTextUI.java: Reindent.
	* javax/swing/plaf/basic/BasicToolBarUI.java: Reindent.

	2004-07-31  Roman Kennke  <roman@ontographics.com>

	* javax/swing/Box.java:
	(createGlue): Implemented
	(createHorizontalGlue): Implemented
	(createHorizontalStrut): Implemented
	(createVerticalGlue): Implemented
	(createVerticalStrut): Implemented

	2004-07-31  Roman Kennke  <roman@ontographics.com>

	* javax/swing/BoxLayout.java: Reimplement.

	2004-07-31  Mark Wielaard  <mark@klomp.org>

	* java/awt/Component.java: Reindent.
	* java/awt/im/InputContext.java: Reindent.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c:
	Reindent.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c: Reindent.

	2004-07-31  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkTextFieldPeer.java (create): Use tf
	variable in setEditable call.

	* gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c
	(gtkWidgetSetBackground): New method.
	(gtkWidgetSetForeground): Likewise.
	(create): Set peer's editable state based on awtComponent's.

	2004-07-31  David Jee  <djee@redhat.com>

	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(gtkWidgetGetPreferredDimensions): For widgets extending GtkWindow,
	use their default sizes rather than their natural requisitions.

	2004-07-31  Mark Wielaard  <mark@klomp.org>

	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c
	(gtkWidgetSetSensitive): Removed.
	(gtkWidgetSetParent): Removed.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(gtkWidgetSetSensitive): New method.
	(gtkWidgetSetParent): Likewise.
	Remove all set methods.

	2004-07-31  David Jee  <djee@redhat.com>

	* gnu/java/awt/peer/gtk/GtkChoicePeer.java
	(GtkChoicePeer): Do not automatically select first item.
	(getHistory): Remove.
	(nativeGetSelected): New method.
	(nativeRemoveAll): New method.
	(add): Use nativeGetSelected() instead of getHistory().
	(remove): Likewise.
	(removeAll): Call nativeRemoveAll().
	* jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c
	(create): Migrate to GtkComboBox.
	(append): Likewise.
	(nativeAdd): Likewise.
	(nativeRemove): Likewise.
	(select): Likewise.
	(nativeRemoveAll): New method.
	(nativeGetSelected): New method.
	(selection_changed): New method.
	(getHistory): Remove.
	(item_activate): Remove.
	(item_removed): Remove.
	(connect_choice_item_selectable_hook): Remove.

	2004-07-31  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* java/awt/Component.java: Document AWT 1.0 event handler
	methods.

	2004-07-31  David Jee  <djee@redhat.com>

	* java/awt/DefaultKeyboardFocusManager.java
	(postProcessKeyEvent): Only activate MenuShortcuts on KEY_PRESSED
	event.  Fix shift modifier checking.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c
	(accel_attach): Remove.
	(setupAccelGroup): Remove calls to accel_attach.

	2004-07-31  Thomas Fitzsimmons  <fitzsim@redhat.com>

	PR AWT/16040
	* gnu/java/awt/peer/gtk/GtkButtonPeer.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c: Likewise.
	* gnu/java/awt/peer/gtk/GtkListPeer.java: Likewise.
	* gnu/java/awt/peer/gtk/GtkTextFieldPeer.java: Likewise.
	* java/awt/AWTKeyStroke.java: Remove old modifier masks.
	* java/awt/Component.java: Replace old modifier masks with new
	ones.
	* java/awt/Container.java: Call getModifiersEx, not
	getModifiers.
	* java/awt/DefaultKeyboardFocusManager.java: Likewise.  Remove
	old modifier masks.
	* javax/swing/JMenuItem.java: Replace old button masks with new
	ones.
	* javax/swing/KeyStroke.java: Call getModifiersEx, not
	getModifiers.
	* javax/swing/SwingUtilities.java: Likewise.
	* javax/swing/plaf/basic/BasicButtonListener.java: Likewise.
	* javax/swing/plaf/basic/BasicInternalFrameUI.java: Likewise.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c: Replace old
	mask macros with new ones.
	* native/jni/gtk-peer/gtkpeer.h: Replace old button and modifier mask
	macros with new ones representing new masks.

	2004-07-31  Mark Wielaard  <mark@klomp.org>

	* gnu/java/awt/EmbeddedWindow.java: Reindent.
	* gnu/java/awt/image/ImageDecoder.java: Reindent.
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java: Reindent.
	* gnu/java/awt/peer/gtk/GtkFileDialogPeer.java: Reindent.
	* java/awt/DefaultKeyboardFocusManager.java: Reindent.
	* java/awt/Frame.java: Reindent.
	* javax/swing/JCheckBox.java: Reindent.
	* javax/swing/JCheckBoxMenuItem.java: Reindent.
	* javax/swing/UIDefaults.java: Reindent.
	* javax/swing/UIManager.java: Reindent.

	2004-07-31  Kim Ho  <kho@redhat.com>

	* java/awt/Container.java:
	(acquireComponentForMouseEvent): Respect
	the event mask when looking for candidate.
	* javax/swing/JComponent.java:
	Remove toolTip field.
	(createToolTip): Create a tooltip on demand.
	(setToolTipText): Register with the ToolTipManager.
	(getToolTipText(MouseEvent)): Return getToolTipText().
	* javax/swing/JToolTip.java: Implement.
	* javax/swing/Timer.java: Jalopy.
	(restart): Call stop, then start.
	(stop): Interrupt the timer rather than wait for
	the timer to come to a stop naturally.
	* javax/swing/ToolTipManager.java: Implement.
	* javax/swing/plaf/basic/BasicLookAndFeel.java:
	Change ToolTip.background color.
	* javax/swing/plaf/basic/BasicToolTipUI.java:
	Implement.

	2004-07-31  Mark Wielaard  <mark@klomp.org>

	* native/jni/gtk-peer/gthread-jni.c: Define MIN_, MAX_ and NORM_
	PRIORITY when not already defined in header file.

	2004-07-30  Mark Wielaard  <mark@klomp.org>

	* javax/swing/AbstractButton.java: Reformat.
	* javax/swing/ActionMap.java: Likewise.
	* javax/swing/ComponentInputMap.java: Likewise.
	* javax/swing/DefaultDesktopManager.java: Likewise.
	* javax/swing/ImageIcon.java: Likewise.
	* javax/swing/InputMap.java: Likewise.
	* javax/swing/JButton.java: Likewise.
	* javax/swing/JEditorPane.java: Likewise.
	* javax/swing/JInternalFrame.java: Likewise.
	* javax/swing/JMenu.java: Likewise.
	* javax/swing/JMenuBar.java: Likewise.
	* javax/swing/JMenuItem.java: Likewise.
	* javax/swing/JOptionPane.java: Likewise.
	* javax/swing/JPopupMenu.java: Likewise.
	* javax/swing/JRootPane.java: Likewise.
	* javax/swing/JScrollPane.java: Likewise.
	* javax/swing/JTable.java: Likewise.
	* javax/swing/JTextField.java: Likewise.
	* javax/swing/JToolBar.java: Likewise.
	* javax/swing/MenuSelectionManager.java: Likewise.
	* javax/swing/RepaintManager.java: Likewise.
	* javax/swing/ScrollPaneLayout.java: Likewise.
	* javax/swing/UIManager.java: Likewise.
	* javax/swing/ViewportLayout.java: Likewise.

	2004-07-30  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GtkArg.java: Remove file.
	* gnu/java/awt/peer/gtk/GtkArgList.java: Remove file.

	* gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
	(create(String)): New method.
	(create): Call new create method.
	(getArgs): Remove method.
	* gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c 
	(nativeCreate): Rename to create.
	(gtkSetLabel): Rename to gtkButtonSetLabel.
	(gtkToggleButtonSetActive): New method.
	(create): Call gtkToggleButtonSetActive and gtkButtonSetLabel.
	(setState): Replace set call with gtkToggleButtonSetActive.
	(setLabel): Replace gtkSetLabel call with gtkButtonSetLabel.
	(getArgs): Remove method.
	* gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
	(gtkWidgetSetSensitive): New method.
	(gtkWidgetSetParent): Likewise.
	(GtkComponentPeer): Call setParent, setComponentBounds and
	setVisibleAndEnabled.
	(setParent): New method.
	(setComponentBounds): New method.
	(setVisibleAndEnabled): New method.
	(setEnabled): Call gtkWidgetSetSensitive.
	(getArgs): Remove method.
	Remove all set methods.
	* gnu/java/awt/peer/gtk/GtkDialogPeer.java (create): Call
	gtkWindowSetModal, setTitle and setResizable.
	(getArgs): Remove method.
	* gnu/java/awt/peer/gtk/GtkFileDialogPeer.java
	(setComponentBounds): New method.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java (setResizable):
	Replace set call with gtkWindowSetResizable.
	(getArgs): Remove method.
	(create): Call setTitle and setResizable.
	* gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
	(gtkWindowSetTitle): New method.
	(gtkWindowSetResizable): New method.
	(gtkWindowSetModal): New method.
	(setParent): New method.
	(setVisibleAndEnabled): New method.
	(getArgs): Remove method.
	(setTitle): Call gtkWindowSetTitle.
	(setResizable): Call gtkWindowSetResizable.
	* native/jni/gtk-peer/gtkpeer.h [DEBUG_LOCKING]: New define to turn on
	and off locking instrumentation.

	2004-07-30  Craig Black  <craig.black@aonix.com>

	* gnu/java/awt/peer/gtk/GdkGraphics.java 
	(drawRoundRect): Implemented.
	(fillRoundRect): Implemented.
	* gnu/java/awt/peer/gtk/GdkGraphics2D.java 
	(drawRoundRect): Reimplemented to match GdkGraphics.
	(fillRoundRect): Reimplemented to match GdkGraphics.

	2004-07-30  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GdkGraphics.java,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
	(initState(GtkComponentPeer)): Don't return array of colour
	values.
	(GdkGraphics(int,int)): Set default font to size 12.
	(GdkGraphics(GtkComponentPeer)): Set graphics colour to
	component's foreground colour.
	* gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
	(initState(GtkComponentPeer)): Don't return array of colour
	values.
	(GdkGraphics2D(GtkComponentPeer)): Set foreground and background
	colours to component's colours.
	(current_colors_of_widget): Remove function.
	* gnu/java/awt/peer/gtk/GtkOffScreenImage.java (getGraphics):
	Return a new graphics object.
	* java/awt/Font.java (toString): Fix format.
	* java/awt/Graphics.java (toString): Likewise.

	2004-07-30  Bryce McKinlay  <mckinlay@redhat.com>

	* gnu/java/awt/ClasspathToolkit.java (createImageProducer): New.
	Default implementation.
	* gnu/java/awt/peer/gtk/GtkToolkit.java (createImageProducer): New.
	Implement using GdkPixbufDecoder.

	2004-07-29  Andrew John Hughes  <gnu_andrew@member.fsf.org>

	* java/util/Collection.java, java/util/List.java,
	java/util/Map.java, java/util/Set.java,
	java/util/SortedMap.java, java/util/SortedSet.java:
	Added additional exceptions to documentation.

	2004-07-29  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/EmbeddedWindow.java
	(addNotify): Use AccessController to allow execution of privileged
	code.

	2004-07-28  Tom Tromey  <tromey@redhat.com>

	* gnu/java/awt/peer/GLightweightPeer.java,
	gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	gnu/javax/rmi/CORBA/StubDelegateImpl.java,
	javax/swing/JScrollPane.java: Removed
	redundant imports.

	2004-07-28  Bryce McKinlay  <mckinlay@redhat.com>

	* gnu/java/security/action/GetPropertyAction.java (setParameters):
	Renamed from 'setName'. New 2-argument form with default value.
	(run): Pass default 'value' parameter to System.getProperty().
	* gnu/java/security/action/SetAccessibleAction.java: Fix javadoc
	typos.
	* gnu/java/net/protocol/http/Connection.java: Use 'setParameters'
	not 'setName'.

	2004-07-28  Mark Wielaard  <mark@klomp.org>

	* vm/reference/java/io/VMFile.java (toCanonicalForm): Made
	static.

	2004-07-27  Jeroen Frijters  <jeroen@frijters.net>

	* vm/reference/java/io/VMFile.java (toCanonicalForm): New method.

	2004-07-26  Archie Cobbs  <archie@dellroad.org>

	* native/jni/gtk-peer/gthread-jni.c: don't #include nonexistent files

2004-08-05  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/kjc.jar: Regenerated.

2004-08-04  Michael Franz <developer.franz@verizon.net>
	
	config/i386/darwin/config.frag,
	config/i386/darwin/md.c,
	config/i386/darwin/md.h:
	New files.

2004-08-04  Dalibor Topic  <robilad@kaffe.org>

	* config/Makefile.am (EXTRA_DIST): Added i386-darwin files.

	* config/Makefile.in: Regenerated.

2004-08-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/nio/SelectorImpl.c: Added missing includes.

	* libraries/javalib/bootstrap.classlist: Addes missing 
	gnu/java/nio/SelectorImpl.class.

        * include/Makefile.am: Generate header file for
	gnu/java/nio/SelectorImpl.class.

        * include/Makefile.in,
        libraries/javalib/Klasses.jar.bootstrap,
        libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in:
	Regenerated.

	Reported by: jrandom.

2004-08-04  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/awt/X/Makefile.am: Changed X_FLAGS into X_CFLAGS.

	* libraries/clib/awt/X/Makefile.in: Regenerated.

	Reported by Ito Kazumitsu <kaz@maczuka.gcd.org>

2004-08-04  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/gnu/java/nio/SelectorImpl.java,
	libraries/javalib/gnu/java/nio/VMSelector.java:
	Resynchronized with GNU Classpath.

	004-07-31  Patrik Reali  <reali@acm.org>

        * gnu/java/nio/SelectorImpl.java,
        include/Makefile.am,
        include/gnu_java_nio_SelectorImpl.h,
        include/gnu_java_nio_VMSelector.h,
        native/jni/java-nio/Makefile.am,
        native/jni/java-nio/gnu_java_nio_SelectorImpl.c,
        native/jni/java-nio/gnu_java_nio_VMSelector.c,
        vm/reference/gnu/java/nio/VMSelector.java: native method moved from
        gnu/java/nio/SelectorImpl to vm/reference/gnu/java/nio/VMSelector

	* libraries/javalib/all.files,
	libraries/javalib/bootstrap.classlist:
	Added gnu/java/nio/VMSelector.
	
	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in,
	include/Makefile.in, Klasses.jar.bootstrap: Regenerated.

	* include/Makefile.am: Use VMSelector instead of SelectorImpl.

	* libraries/clib/nio/SelectorImpl.c: The method is owned by
	VMSelector now.
	
2004-08-03  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/gcFuncs.c
	(walkClass): Updated function call.

	* kaffe/kaffevm/boehm-gc/gc2.c,
	kaffe/kaffevm/boehm-gc/gc2.h
	(gcMark): New field "original_object"
	(clearAndAddDescriptor): Cleaned up.
	(finalizeObject): Call destroy function after
	having finalized.
	(finaliserMan): Removed call to jthread_yield. Added a dummy
	unlockStaticMutex.
	(gcMan): Likewise.
	(KaffeGC_realloc): Really return NULL if realloc fails.
	(KaffeGC_malloc): Return NULL if alloc fails.
	(KaffeGC_markAddress): Fixed call to GC_mark_and_push.
	(onObjectMarking): Initialize original_object.
	(KaffeGC_Init): Removed dead code.
	Include gc2.h. Moved some macros and structures to gc2.h

	* kaffe/kaffevm/boehm-gc/gcRefs.c:
	(KaffeGC_addRef): Take the object base to mark the object.
	(KaffeGC_rmRef): Likewise.
	Include gc2.h

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	(tInitSignalHandler): Define a new signal SIG_INTERRUPT to
	interrupt syscall.
	(jthread_interrupt): Use SIG_INTERRUPT.
	
2004-08-02  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/Makefile.am
	(libkaffevm_la_SOURCES): Removed gcRefs.c, gcRefs.h.
	
	* kaffe/kaffevm/boehm-gc/boehm/BCC_MAKEFILE,
	kaffe/kaffevm/boehm-gc/boehm/aix_irix_threads.c,
	kaffe/kaffevm/boehm-gc/boehm/allchblk.c,
	kaffe/kaffevm/boehm-gc/boehm/alloc.c,
	kaffe/kaffevm/boehm-gc/boehm/checksums.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/cordprnt.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/cordtest.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/cordxtra.c,
	kaffe/kaffevm/boehm-gc/boehm/cord/de.c,
	kaffe/kaffevm/boehm-gc/boehm/darwin_stop_world.c,
	kaffe/kaffevm/boehm-gc/boehm/dbg_mlc.c,
	kaffe/kaffevm/boehm-gc/boehm/doc/README,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.changes,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.darwin,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.environment,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.macros,
	kaffe/kaffevm/boehm-gc/boehm/doc/README.win32,
	kaffe/kaffevm/boehm-gc/boehm/doc/debugging.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/gcdescr.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/gcinterface.html,
	kaffe/kaffevm/boehm-gc/boehm/doc/simple_example.html,
	kaffe/kaffevm/boehm-gc/boehm/dyn_load.c,
	kaffe/kaffevm/boehm-gc/boehm/finalize.c,
	kaffe/kaffevm/boehm-gc/boehm/gcj_mlc.c,
	kaffe/kaffevm/boehm-gc/boehm/headers.c,
	kaffe/kaffevm/boehm-gc/boehm/if_not_there.c,
	kaffe/kaffevm/boehm-gc/boehm/include/gc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_allocator.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_config_macros.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_cpp.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_gcj.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_local_alloc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/gc_mark.h,
	kaffe/kaffevm/boehm-gc/boehm/include/javaxfc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/new_gc_alloc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/darwin_stop_world.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/dbg_mlc.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gc_locks.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gc_pmark.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gc_priv.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/gcconfig.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/pthread_support.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/solaris_threads.h,
	kaffe/kaffevm/boehm-gc/boehm/include/private/specific.h,
	kaffe/kaffevm/boehm-gc/boehm/mach_dep.c,
	kaffe/kaffevm/boehm-gc/boehm/malloc.c,
	kaffe/kaffevm/boehm-gc/boehm/mallocx.c,
	kaffe/kaffevm/boehm-gc/boehm/mark.c,
	kaffe/kaffevm/boehm-gc/boehm/misc.c,
	kaffe/kaffevm/boehm-gc/boehm/new_hblk.c,
	kaffe/kaffevm/boehm-gc/boehm/os_dep.c,
	kaffe/kaffevm/boehm-gc/boehm/pthread_stop_world.c,
	kaffe/kaffevm/boehm-gc/boehm/pthread_support.c,
	kaffe/kaffevm/boehm-gc/boehm/solaris_pthreads.c,
	kaffe/kaffevm/boehm-gc/boehm/solaris_threads.c,
	kaffe/kaffevm/boehm-gc/boehm/tests/middle.c,
	kaffe/kaffevm/boehm-gc/boehm/tests/test.c,
	kaffe/kaffevm/boehm-gc/boehm/tests/test_cpp.cc,
	kaffe/kaffevm/boehm-gc/boehm/tests/trace_test.c,
	kaffe/kaffevm/boehm-gc/boehm/threadlibs.c,
	kaffe/kaffevm/boehm-gc/boehm/typd_mlc.c,
	kaffe/kaffevm/boehm-gc/boehm/version.h,
	kaffe/kaffevm/boehm-gc/boehm/win32_threads.c:
	Upgraded to gc6.3.

	* kaffe/kaffevm/boehm-gc/Makefile.am
	(libkaffegc_la_SOURCES): Added gc-refs.[ch] and gc-kaffe.[ch].

	* kaffe/kaffevm/boehm-gc/Makefile.frag:
	Define GC_DEFS.
	
	* kaffe/kaffevm/boehm-gc/gc-kaffe.c,
	kaffe/kaffevm/boehm-gc/gc-kaffe.h: New allocation kind for boehm-gc.

	* kaffe/kaffevm/boehm-gc/gc-refs.c,
	kaffe/kaffevm/boehm-gc/gc-refs.h: New files to handle Java references
	with the GC. Largely inspired from gcRefs.[ch]

	* kaffe/kaffevm/boehm-gc/gc2.c:
	Reimplemented.
	
	* kaffe/kaffevm/classMethod.h,
	kaffe/kaffevm/classPool.c
	(walkClassEntries): New parameter.
	
	* kaffe/kaffevm/debug.c:
	(dprintf): If stderr has been closed we must
	exit the main loop because it is a potential infinite
	loop.
	
	* kaffe/kaffevm/gc.h:
	(walk_func_t): New parameter.
	(KGC_OBJECT_NORMAL, KGC_OBJECT_FIXED): Reindented.
	(GarbageCollectorInterface_Ops): New entries:
	getCollectorName, addRef, rmRef.
	(markAddress, markObject): New parameter.
	(createGC): Removed parameter.
	(KGC_getCollectorName, KGC_addRef, KGC_rmRef):
	New GC call.
	(KGC_markObject): New parameter.
	
	* kaffe/kaffevm/gcFuncs.c:
	(walkMethods, walkClass, walkRefArray,
	walkObject, walkLoader): New parameter.
	(walkMethods): Removed dead code.
	(initCollector): createGC has no parameter now.

	* kaffe/kaffevm/gcRefs.c,
	kaffe/kaffevm/gcRefs.h: Removed.
	
	* kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/Makefile.in:
	Regenerated.

	* kaffe/kaffevm/kaffe-gc/Makefile.am:
	(libkaffegc_la_SOURCES): Added gc-refs.c.
	(noinst_HEADERS): Added gc-refs.h.
	
	* kaffe/kaffevm/kaffe-gc/Makefile.frag:
	Define GC_DEFS.

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c:
	(walkRootSet): Removed.
	(gcMarkAddress, gcMarkObject): New parameter.
	(KaffeGC_walkConservative): Cleaned up.
	(gcGetObjectBase): Fixed warnings.
	(kaffeGC_WalkMemory): Updated to new API.
	(gcMan): Renamed function call.
	(startGC): Call KaffeGC_walkRefs directly now.
	(gcMalloc): Cleaned up.
	(createGC): Removed parameter.

	* kaffe/kaffevm/kaffe-gc/gc-incremental.h: Fixed a few warnings.
	
	* kaffe/kaffevm/kaffe-gc/gc-mem.h:
	Fixed a few warnings.

	* kaffe/kaffevm/kaffe-gc/gc-refs.c: New file. Moved from gcRefs.c.
	
	* kaffe/kaffevm/kaffe-gc/gc-refs.h: New file. Moved from gcRefs.h.

	* kaffe/kaffevm/ksem.c
	(ksemGet, ksemPut): Marked sem as volatile to prevent deadlocks.
        
	* kaffe/kaffevm/object.c
	(newMultiArrayChecked): Transformed the recursive algorithm
	in an iterative one.

	* kaffe/kaffevm/string.c,
	kaffe/kaffevm/string.h
	(stringWalk): New parameter.

	* kaffe/kaffevm/support.c: Removed dead code.

	* kaffe/kaffevm/systems/unix-pthreads/Makefile.am:
	(AM_CPPFLAGS): Use GC_DEFS from the GC makefile.frag.

	* kaffe/kaffevm/systems/unix-pthreads/lock-impl.c:
        Include "gc.h" if kaffe is compiled with the Boehm-GC.
	
        * kaffe/kaffevm/systems/unix-pthreads/signal.c
	(detectStackBoundaries): If kaffe is compiled with the Boehm-GC
	use GC_stackbottom to get stack boundaries.

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c,
	kaffe/kaffevm/systems/unix-jthreads/jthread.h,
	kaffe/kaffevm/systems/unix-pthreads/thread-impl.c,
	kaffe/kaffevm/systems/unix-pthreads/thread-internal.h
	(jthread_walkLiveThreads) accept some user data for the
	walk function.

	* kaffe/kaffevm/systems/unix-jthreads/jthread.h
	(jthread_attach_current_thread): Moved the UNUSED attribute before
	bool.
	
	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(tInitSignalHandlers): Do not enable SIG_SUSPEND and
	SIG_RESUME if the boehm-gc is enabled.
	(jthread_suspendall, jthread_unsuspendall): 
	If the boehm-gc is enabled, use GC_stop_world
	and GC_start_world.

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h
	(jthread_on_current_stack): Added some debug trace.

	* kaffe/kaffevm/thread.c
	(dumpJavaThread): jthread_walkLiveThreads has a new parameter.

2004-08-01  Ito Kazumitsu <kaz@maczuka.gcd.org>

	* configure.ac: Fixed warnings in tests.

	* configure.in: Regenerated.
	
See ChangeLog.12 for earlier changes.
